@extends('layouts.main')
@section('scripts')
    <script type="text/javascript">

        $(document).ready(function () {
            $(".openfrom").click(function () {
                $("#vendorDrop").hide();
                $("#companyDrop").hide();
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });
            $("#selectassignTo").change(function () {
                if ($(this).val() == "vendor") {
                    $("#vendorDrop").show();
                    $("#companyDrop").hide();
                } else {
                    $("#vendorDrop").hide();
                    $("#companyDrop").show();
                }

            });
            $("#submitForm").click(function () {
                //console.log($("#selectassignTo").val() + " " + $("#company").val() + " " + $("#vendor").val());
                var data = {
                    '_token': "{{csrf_token()}}",
                    "assignTo": $("#selectassignTo").val(),
                    "company_id": $("#company").val(),
                    "id": $('#complaint_id').val(),
                    "vendor_id": $("#vendor").val()
                };
                $.ajax({
                    type: 'POST',
                    url: '{{route('complaint.assign')}}',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });

        });
    </script>
@endsection
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            @if (session()->has('assigned'))
                <div class="sticky-top">
                    <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                        <div class="alert alert-success" role="alert">
                            <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                        </div>
                    </div>
                    <?php
                    session()->forget('assigned');
                    ?>
                </div>
            @endif

            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">All Complaint</div>

                    <div class="card-body">
                    <div class="table-responsive">
                        <table class="table">
                            <tr>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Action</th>
                            </tr>
                            @foreach($complaints as $complaint)
                                <tr>
                                    <td>{{$complaint->name}}</td>
                                    <td>{{$complaint->phone_no}}</td>
                                    <td>{{$complaint->address}}</td>
                                    <td>{{$complaint->invoice_no}}</td>
                                    <td>{{$complaint->item_make}}</td>
                                    <td>{{$complaint->model}}</td>
                                    <td>{{$complaint->product}}</td>
                                    <td>{{$complaint->problem}}</td>
                                    <td><a type="button" data-id="{{$complaint->id}}" class="openfrom">
                                            Assign To
                                        </a></td>
                                </tr>
                            @endforeach
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="complaintModal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myModalLabel">Assign To</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="myModalBody">
                    <form id="myForm">
                        @csrf
                        <input type="hidden" value="" id="complaint_id">
                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">{{ __('Assign to') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="selectassignTo">
                                    <option></option>
                                    <option value="company">Company</option>
                                    <option value="vendor">Vendor</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="companyDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Company') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="company">
                                    <option></option>
                                    @foreach($companies as $company)
                                        <option value="{{$company->id}}">{{$company->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="vendorDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Vendor') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="vendor">
                                    <option></option>
                                    @foreach($vendors as $vendor)
                                        <option
                                            value="{{$vendor->id}}">{{$vendor->user->first_name}} {{$vendor->user->last_name}}
                                            -{{$vendor->company_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="submitForm">Save changes</button>
                </div>
            </div>
        </div>
    </div>

@endsection
