@extends('layouts.main')
@section('scripts')
<script type="text/javascript">
$(document).ready(function () {
$('#update_remarks_btn').click(function(){
   let primary_key= $(this).attr('data-pk-id');
   let comment=$('#csr_comment_input').val();
      
   let btn=$(this).html('<span class="fa fa-spinner fa-spin"></span>');
   $.ajax({
                    type: 'POST',
                    url: '{{route('complaint.update.csrremarks')}}',
                    data: {table_pk_id:primary_key,comment:comment,'_token': "{{csrf_token()}}"},
                    beforeSend: function() {
                        btn.html('<span class="fa fa-spinner fa-spin"></span>');
                    },
                    success: function (data) {
                        btn.html('Update ');
                    }
                });
});
});
</script>
@endsection
@section('content')


    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="callout callout-info">
                        <h5><i class="fas fa-exclamation-triangle "></i> Problem:</h5>
                        {{$complaint->problem}}
                         </div>


                    <!-- Main content -->
                    <div class="invoice p-3 mb-3">
                        <!-- title row -->
                        <div class="row">
                            <div class="col-12">
                                <h4>
                                    <i class="fas fa-globe"></i> <small>Created by :{{$complaint->user->name}}</small>
                                    <small class="float-right">Created Date: {{$complaint->created_at}}</small>
                                </h4>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- info row -->
                        <div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                                <strong>Name</strong>
                                <address>
                                {{$complaint->name}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Phone Number</strong>
                                <address>
                                    {{$complaint->phone_no}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Address</strong>
                                <address>
                                    {{$complaint->address}}
                                </address>
                            </div>
                            <!-- /.col -->
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                                <strong>Product</strong>
                                <address>
                                    {{$complaint->product}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Item Make</strong>
                                <address>
                                    {{$complaint->item_make}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Model</strong>
                                <address>
                                    {{$complaint->model}}
                                </address>
                            </div>
                            
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Serial No</strong>
                                <address>
                                    {{$complaint->serial_no}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Invoice #</strong>
                                <address>
                                    {{$complaint->invoice_no}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>DOP</strong>
                                <address>
                                    {{$complaint->dop}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <!--<div class="col-sm-4 invoice-col">
                                <strong>Current Status</strong>
                                <address>
                                    Assign to: {{$complaint->status->name}}
                                </address>
                            </div>--.
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Sales man</strong>
                                <address>
                                    {{$complaint->salesman->first_name}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Branch</strong>
                                <address>
                                    {{$complaint->branch->name}}
                                </address>
                            </div>
                            
                        </div>
                        <!-- /.row -->

                        <!-- Table row -->
                        <div class="row">
                            <div class="col-12 table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Assign to</th>
                                        <th>Assignee Name</th>
                                        <th>Status</th>
                                        <th>Description</th>
                                        <th>CSR remarks</th>
                                        <th>Assigning date</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($complaint->complaintstatus as $status)
                                    <tr>
                                        <td>
                                            {{$status->status->name}}</td>
                                        <?php
                                        $name="";
                                        if ($status->status_id==2){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==4){
                                            $name=$status->vendor->user->name;
                                        }elseif ($status->status_id==7){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==8){
                                            $name=$status->vendor->user->name;
                                        }
                                        ?>
                                        <td>{{$name}}</td>
                                        <td>
                                            @if($status->status_id==7 || $status->status_id==8 )
                                            {{$status->second_status->name}}
                                            @else
                                            {{$status->status->name}}
                                                @endif
                                        </td>
                                        <td>{{$status->comment}}</td>
                                        <td>
                                        @if(Auth::user()->role->name == "csr")
                                        <textarea id="csr_comment_input" col="12">{{$status->csr_remarks}}</textarea>
                                        <br/>
                                        <button data-pk-id="{{$status->id}}" id="update_remarks_btn">Update </button>
                                        @else
                                        {{$status->csr_remarks}}
                                        @endif
                                            
                                        </td>
                                        <td>{{$status->created_at}}</td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->

                    </div>
                    <!-- /.invoice -->
                </div><!-- /.col -->

            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>

@endsection