<?php

namespace App\Console;

use Carbon\Carbon;
use App\Http\Models\Complaint;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')->hourly();    
        
        $schedule->call(function () {
            try{
                $complaints = Complaint::where('status_id', '!=', '5')
                    ->where('created_at', '<', Carbon::now()->subDays(7))
                    ->count();    

                $api_base = "https://brandyourtext.com/sms/api/send";
                $params = [
                    "username" => "friends",
                    "password" => "123456",
                    "mask" => "FriendsCorp",
                    "mobile" => "03215000903",
                    "message" => "{$complaints} complaints pending more than 7 days",
                ];
                $params = http_build_query($params);

                $url = "{$api_base}?{$params}";

                $client = new \GuzzleHttp\Client();
                $res = $client->get($url);    
                
                echo $res->getBody();
            }catch(\Exception $ex){
                
            }            
        })->timezone('Asia/Karachi')->dailyAt('19:00');
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
