<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;


    public function redirectTo(){

        // User role
        $role = Auth::user()->role->name;

        // Check user role
        switch ($role) {
            case 'admin':
                return route('admin.index');
                break;
            case 'services_incharge':
                return route('incharge');
                break;
            case 'supervisor':
                return route('supervisor');
                break;
            case 'csr':
                return route('csr');
                break;
            case 'vendor':
                return route('vendor');
                break;
            default:
                return '/login';
                break;
        }
    }

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
}
