<?php

namespace App\Http\Controllers;

use App\Http\Middleware\Superviser;
use App\Http\Models\Branch;
use App\Http\Models\Company;
use App\Http\Models\Status;
use App\Http\Models\Complaint;
use App\Http\Models\ComplaintStatus;
use App\Http\Models\ComplaintRemarks;
use App\Http\Models\ProductCategory;
use App\Http\Models\Salesman;
use App\Http\Models\BranchIncharge;
use App\Http\Models\User;
use App\Http\Models\Vendor;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use Helper;

class BranchInchargeController extends Controller
{
    public function __construct()
    {
        //$this->middleware(['admin','csr']);
        //$this->middleware('admin');
    }

    public function index()
    {
        $general['title']="Dashboard";
        $general['msg']="";
        $user_id=Auth::user()->id;
        $total_complaints=Complaint::where(['created_by'=>$user_id])->count();
        $pending_complaints=Complaint::where('created_by','=',$user_id)->where('status_id','!=',5)->count();
        $completed_complaints=Complaint::where('created_by','=',$user_id)->where('status_id','=',5)->count();
        return view('branch.branch_incharge_dashboard',compact("general","total_complaints","pending_complaints","completed_complaints"));
    }

    public function create_complaint()
    {
        $general['title']="Create Complaint";
        $general['msg']="";
        $id=Auth::user()->id;
        $branch_id=BranchIncharge::where(['user_id'=>$id])->get('branch_id')->first(); // get branch of incharge
        $products=ProductCategory::distinct()->get('product');
        $branches=Branch::where('id',$branch_id->branch_id)->get()->sortByDesc('id');
        //print_r($branches); die();
        $supervisors=User::where('role_id',3)->get()->sortByDesc('id');
        $companies=Company::all()->sortByDesc('id');
        return view('branch.create_complaint',compact("general","products","branches","supervisors","companies"));
    }

    public function pending_complaints()
    {
        $general['title']="Pending Complaints";
        $general['msg']="";
        $user_id=Auth::user()->id;
        $complaints=Complaint::where('created_by','=',$user_id)->where('status_id','!=',5)->get()->sortByDesc('id');
        return view('branch.complaints_list',compact("general","complaints"));
    }

    public function total_complaints()
    {
        $general['title']="Total Complaints";
        $general['msg']="";
        $user_id=Auth::user()->id;
        $complaints=Complaint::where(['created_by'=>$user_id])->get()->sortByDesc('id');
        return view('branch.complaints_list',compact("general","complaints"));
    }
    public function completed_complaints()
    {
        $general['title']="Completed Complaints";
        $general['msg']="";
        $user_id=Auth::user()->id;
        $complaints=Complaint::where('created_by','=',$user_id)->where('status_id','=',5)->get()->sortByDesc('id');
        return view('branch.complaints_list',compact("general","complaints"));
    }

    /***
     * branch inharge list
     */
    public function all_branch_incharge()
    {
        $general['title']="Branch Incharge's";
        $general['msg']="";
        $incharges=BranchIncharge::all()->sortByDesc('id');
      //  dd($incharges);
        return view('branch.all_incharges',compact("general","incharges"));
    }

    public function create_incharge()
    {
        $general['title']="Create Branch Incharge";
        $general['msg']=" ";
        $branches=Branch::all();
        return view('branch.create_incharge',compact('general','branches'));
    }

    public function store_complaint(Request $request)
    {
        //echo "<pre>";
       // print_r($request->input());die();
        $complaint = new Complaint();
        $complaint->branch_id=$request->input('branch_id');
        $complaint->product = $request->input('product');
        if ($request->input('product')=="other" || $request->input('item_make')=="other") {
            $complaint->item_make = $request->input('brand_name');
            $complaint->model = $request->input('model_name');
        }else {
            $complaint->item_make = $request->input('item_make');
            if ($request->input('model')=="other") {
                $complaint->model = $request->input('model_name');
            }else{
                $complaint->model = $request->input('model');
            }
        }
        $complaint->complaint_type='showroom';
        $complaint->serial_no=$request->input('serial_no');
        $complaint->problem=$request->input('problem');
        $complaint->created_by = Auth::id();
        $complaint->save();
    
        return redirect()->route("branchIncharge.create")->with('success', 'Successfully Created!');
    }

    public function edit_incharge(BranchIncharge $incharge)
    {
        $general['title']="Edit Incharge";
        $general['msg']="";
      //  echo "<pre>";
       // print_r($incharge->user); die();
       $branches=Branch::all();
        return view('branch.incharge_edit',compact("general","incharge",'branches'));
    }

    public function update_incharge(Request $request)
    {
       // echo "<pre>";
      //  print_r($incharge['id']); die();
        $validatedData = $request->validate([
            'first_name' => 'required',
            'last_name' => 'required',
            'username' => 'required',
            'password' => 'required|confirmed|min:6',
            //'phone_no' => 'required|unique:users',
            'branch' => 'required',
        ]);
        $user= new User(
            $request->all()
        );
        $user=User::find($request->input('user_id'));
        $user->fill($request->all());
        $user->password=bcrypt($request->password);
        $user->username = $request->username;
        $user->update();
        $incharge=BranchIncharge::find($request->input('id'));
        $incharge->branch_id=$request->input('branch');
        $incharge->update();
        session()->flash('success', 'Updated');
        return redirect(route('admin.all.branch_incharge'));
    }
    /**
     * save incharge
     */
    public function store(Request $request)
    {
    
        $validatedData = $request->validate([
            'first_name' => 'required',
            'last_name' => 'required',
            'email' => 'required|unique:users',
            'username' => 'required',
            'password' => 'required|confirmed|min:6',
            'phone_no' => 'required|unique:users',
            'branch' => 'required',
        ]);
        $user= new User(
            $request->all()
        );
        $user->role_id=7;
        $user->isActive=1;
        $user->password=bcrypt($request->password);
        $user->email = $request->email;
        $user->username = $request->username;
        $user->save();
        $incharge=new BranchIncharge();
        $incharge->user_id=$user->id;
        $incharge->branch_id=$request->input('branch');
        $incharge->save();
        session()->flash('success', 'Updated');
        return redirect(route('admin.all.branch_incharge'));
       // return response()->json(['status'=>'success','msg'=>'Updated']);
    }
}