<?php

namespace App\Http\Middleware;

use App\Providers\RouteServiceProvider;
use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        if (Auth::guard($guard)->check()) {
            $role = Auth::user()->role->name;
            switch ($role) {
                case 'admin':
                    return redirect(route('admin.index'));
                    break;
                case 'services_incharge':
                    return redirect(route('incharge'));
                    break;
                case 'supervisor':
                    return redirect(route('supervisor'));
                    break;
                case 'csr':
                    return redirect(route('csr'));
                    break;
                case 'vendor':
                    return redirect(route('vendor'));
                    break;
                case 'branch_incharge':
                    return redirect(route('branchIncharge.dashboard'));
                    break;    
                default:
                    return redirect(RouteServiceProvider::HOME);
                    break;
            }
            //return redirect(RouteServiceProvider::HOME);
        }

        return $next($request);
    }
}
