<?php

namespace App\Http\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class Complaint extends Model
{
    /*protected $attributes = [
        'status' => 1,
    ];*/
    protected $fillable = [
        
        'name','phone_no','address','invoice_no','item_make','model','product','problem','warranty_status','created_by' , 'view_status'
        
    ];
    
    public function scopeWithAndWhereHas($query, $relation, $constraint){
  return $query->whereHas($relation, $constraint)
  ->with([$relation => $constraint]);
  }
  
  
  
    public function complaintstatus()
    {
        return $this->hasMany('App\Http\Models\ComplaintStatus', 'complaint_id');
    }
    public function complaintremarks()
    {
        return $this->hasMany('App\Http\Models\ComplaintRemarks', 'complaint_id');
    }

/*    public function vendor()
    {
        return $this->belongsTo('App\Http\Models\Vendor','vendor_id','id');
    }*/
    public function company()
    {
        return $this->belongsTo('App\Http\Models\Company','company_id','id');
    }
    public function user()
    {
        return $this->belongsTo('App\Http\Models\User','created_by','id');
    }
    public function status()
    {
        return $this->belongsTo('App\Http\Models\Status');
    }
    public function salesman()
    {
        return $this->belongsTo('App\Http\Models\Salesman','salesman_id','id');
    }
    public function branch()
    {
        return $this->belongsTo('App\Http\Models\Branch','branch_id','id');
    }
}
