<?php

namespace App\Http\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class ComplaintStatus extends Model
{
    protected $fillable = [
        'complaint_id', 'status_id','second_status_id', 'assign_to', 'comment','created_by'
    ];

    /**
     * The "booted" method of the model.
     *
     * @return void
     */
    protected static function booted()
    {
        static::created(function ($complaint_status) {
            $complaint_status->created_by = Auth::User()->id;
            $complaint_status->save();
            $complaint = Complaint::find($complaint_status->complaint_id);
            $complaint->status_id = $complaint_status->status_id;
            $complaint->save();
        });

        static::updating(function ($model) {
            $model->updated_by = Auth::User()->id;
        });
        
    }

    public function vendor()
    {
        return $this->belongsTo('App\Http\Models\Vendor', 'assign_to', 'id');
    }
    public function user()
    {
        return $this->belongsTo('App\Http\Models\User', 'assign_to', 'id');
    }
    public function company()
    {
        return $this->belongsTo('App\Http\Models\Company', 'assign_to', 'id');
    }
    public function complaint()
    {
        return $this->belongsTo('App\Http\Models\Complaint');
    }

    public function status()
    {
        return $this->belongsTo('App\Http\Models\Status');
    }
    public function second_status()
    {
        return $this->belongsTo('App\Http\Models\Status');
    }
}
