<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComplaintsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('complaints', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('phone_no');
            $table->string('address');
            $table->bigInteger('branch_id')->unsigned()->nullable();
            $table->foreign('branch_id')->references('id')->on('branches');
            $table->bigInteger('salesman_id')->unsigned()->nullable();
            $table->foreign('salesman_id')->references('id')->on('salesmen');
            $table->string('invoice_no')->nullable();
            $table->string('item_make');
            $table->string('serial_no');
            $table->date('dop');
            $table->string('model');
            $table->string('product');
            $table->text('problem');
            $table->enum('warranty_status',['Yes','No'])->nullable();
            $table->bigInteger('status_id')->unsigned()->default(1);
            /*$table->enum('assign_to',['vendor','company'])->nullable();
            $table->bigInteger('status')->unsigned()->default(1);
            $table->bigInteger('vendor_status')->unsigned()->nullable();
            $table->bigInteger('company_id')->unsigned()->nullable();
            $table->foreign('company_id')->references('id')->on('companies');
            $table->bigInteger('vendor_id')->unsigned()->nullable();
            $table->foreign('vendor_id')->references('id')->on('vendors');*/
            $table->bigInteger('created_by')->unsigned()->nullable();
            $table->foreign('created_by')->references('id')->on('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('complaints', function (Blueprint $table) {
            $table->dropForeign('complaints_created_by_foreign');
        });
        Schema::dropIfExists('complaints');
    }
}
