<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComplaintStatusesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('complaint_statuses', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('complaint_id')->unsigned()->nullable();
            $table->foreign('complaint_id')->references('id')->on('complaints');
            $table->bigInteger('status_id')->unsigned()->default(1);
            $table->bigInteger('second_status_id')->unsigned()->nullable();
            $table->bigInteger('assign_to')->unsigned()->nullable();
            $table->text('comment')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('complaint_statuses');
    }
}
