@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')

@endsection
@section('content')


    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['msg']}}</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table id="example" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Comment</th>
                                <th>Created By</th>
                                <th>Created At</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                                    <tr>
                                        <td>{{$complaint->id}}</td>
                                        <td>{{$complaint->name}}</td>
                                        <td>{{$complaint->phone_no}}</td>
                                        <td>{{$complaint->address}}</td>
                                        <td>{{$complaint->invoice_no}}</td>
                                        <td>{{$complaint->item_make}}</td>
                                        <td>{{$complaint->model}}</td>
                                        <td>{{$complaint->product}}</td>
                                        <td>{{$complaint->problem}}</td>
                                        <td>{{$complaint->status->name}}</td>
                                        <?php
                                        $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first();
                                        ?>
                                        <td>
                                        @isset($status->comment)
                                            {{$status->comment}}
                                        @endisset
                                        </td>
                                        <td>{{$complaint->user->name}}</td>
                                        <td style="white-space: nowrap;">
                                            {{date('d M Y',strtotime($complaint->created_at))}} 
                                            <br/>
                                            {{date('h:i:s a ',strtotime($complaint->created_at))}}
                                         </td>
                                        <td><a href="{{route('admin.complaint.view',$complaint->id)}}" class="openfrom">
                                                View
                                            </a></td>
                                    </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Comment</th>
                                <th>Created By</th>
                                <th>Created At</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


@endsection
