@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
        .select2-container--default .select2-selection--single .select2-selection__rendered{
            font-size:small;
        }
        .form-control{
            font-size:small;
            
        }
        label:not(.form-check-label):not(.custom-file-label){
            font-weight:500;
           
        }
        /* body{
            font: normal normal normal 14px/1 FontAwesome
        } */
        /*.filter_span{
            display:none;
        }*/
    </style>
@endsection
@section('scripts')
    @if (session('success'))
        <script>

            Toast.fire({
                icon: 'success',
                title: '{{session('success')}}'
            });
        </script>
    @endif

    <script type="text/javascript">

        $(document).ready(function () {
           
            $('.filter_icon').click(function(){
                $('.filter_span').toggle();
            });
            $(".openfrom").click(function () {
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });
            $("#submitForm").click(function () {
                console.log($("#supervisor").val());
                var data = {
                    '_token': "{{csrf_token()}}",
                    "supervisor_id": $("#supervisor").val(),
                    "id": $('#complaint_id').val()
                };
                $.ajax({
                    type: 'POST',
                    url: '{{route('complaint.assign.supervisor')}}',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
            $(document).ready(function () {
                $('.toast').toast('show');
            });
        });
    </script>

@endsection
@section('content')

{{--
    <!-- Main content -->
    @if (session()->has('assigned'))
        <center><div class="sticky-top">
            <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                <div class="alert alert-success" role="alert">
                    <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                </div>
            </div>
            <?php
            session()->forget('assigned');
            ?>
        </div>
        </center>
    @endif--}}
    <section class="content filter_span">
    	<form action="" method="GET">
    		 @csrf
    	<div class="row">
        <div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Complaint #') }}</label>
		<input type="number"  class="form-control" name="complaint_no" value="{{ app('request')->input('complaint_no') }}" />
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('search by phone') }}</label>
		<input type="text" class="form-control" name="phone_search" value="{{ app('request')->input('phone_search') }}" />

		<!-- <input type="text" name="model_name" id="model_name" class="form-control"  style="display: none"> -->
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('search by name') }}</label>
		<input type="text" class="form-control" name="name_search" value="{{ app('request')->input('name_search') }}" />

		<!-- <input type="text" name="model_name" id="model_name" class="form-control"  style="display: none"> -->
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="make">{{ __('Item Make') }}</label>
        <select class="form-control" id="make" name="make" style="width:100%">
		<option value="">Select Item Make</option>					
			@foreach($makes as $make)
			<option value="{{$make->item_make}}" @if(app('request')->input('make')==$make->item_make) selected @endif>{{$make->item_make}}</option>
			@endforeach
		</select>
	</div>
</div>	
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Model') }}</label><br/>
        <select class="form-control" id="model" name="model" style="width:100%" >
			<option value="">Select Model</option>					
			@foreach($models as $model)
			<option value="{{$model->model}}" @if(app('request')->input('model')==$model->model) selected @endif>{{$model->model}}</option>
			@endforeach
		</select>
	</div>
</div>	

<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Product') }}</label><br/>
        <select class="form-control" id="product" name="product" style="width:100%" >
			<option value="">Select Model</option>					
			@foreach($products as $product)
			<option value="{{$product->product}}" @if(app('request')->input('product')== $product->product) selected @endif>{{$product->product}}</option>
			@endforeach
		</select>
	</div>
</div>

<div class="col-sm-2">
	<div class="form-group ">
		<label for="vendor_name">{{ __('Vendors') }}</label>
        <select  class="form-control" id="vendor_name" name="vendor_id" style="width:100%">
	    	<option value="">---SELECT---</option>					
			@foreach($vendors as $vendor)  
                <option value="{{$vendor->id}}" @if(app('request')->input('vendor_id')==$vendor->id) selected @endif>{{$vendor->company_name}}</option>
             @endforeach	
		</select>
		
	</div>
</div>	
<div class="col-sm-2">
	<div class="form-group ">
		<label for="company">{{ __('Companies') }}</label>

		<select  class="form-control" id="company" name="company" style="width:100%">
            <option value="">---SELECT---</option>					
			@foreach($companies as $company)  
                <option value="{{$company->id}}" @if(app('request')->input('company')==$company->id) selected @endif>{{$company->name}}</option>
         
            @endforeach		
		</select>
		
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('supervisor status') }}</label>

		<select  class="form-control" id="complain_status" name="supervisor_status" style="width:100%">
		<option value="">---SELECT---</option>					
			@foreach($statuses as $status)
            @if($status->type=="supervisor")   
                <option value="{{$status->id}}" @if(app('request')->input('supervisor_status')==$status->id) selected @endif>{{$status->name}}</option>
            @endif 
            @endforeach		
		</select>
		
	</div>
</div>							
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Complain Status') }}</label>

		<select class="form-control" id="complain_status" name="complain_status">
		    <option value="">---SELECT---</option>					
			<option value="1" @if(app('request')->input('complain_status')==1) selected @endif>Pending</option>	
			<option value="5" @if(app('request')->input('complain_status')==5) selected @endif>Completed</option>	
		</select>
		
	</div>
</div>
						
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('search by Invoice') }}</label>
		<input type="text" class="form-control" name="invoice_no" value="{{ app('request')->input('invoice_no') }}" />

		<!-- <input type="text" name="model_name" id="model_name" class="form-control"  style="display: none"> -->
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group demo">
		<label for="date-range">{{ __('Date From') }}</label>
        <input  autocomplete="off"  type="text" value="{{ app('request')->input('date_from') }}" name="date_from" id="date-range" class="form-control tcal"  >
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group demo">
		<label for="date-range">{{ __('Date To') }}</label>
        <input  autocomplete="off" type="text" value="{{ app('request')->input('date_to') }}" name="date_to" id="date-range" class="form-control tcal"  >
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('No of days passed') }}</label>
		<input type="number" min="1" step="1" class="form-control" name="no_of_days_passed" value="{{ app('request')->input('no_of_days_passed') }}" />
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Problem') }}</label>
		<input type="text" class="form-control" name="problem" value="{{ app('request')->input('problem') }}" />
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('DOP') }}</label>
		<input autocomplete="off" type="text" class="form-control tcal" name="dop" value="{{ app('request')->input('dop') }}" />
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="salesman">{{ __('Salesman') }}</label>
		<select  class="form-control" id="salesman" name="salesman" style="width:100%">
		<option value="">---SELECT---</option>					
			@foreach($salesmens as $salesman)   
                <option value="{{$salesman->id}}" @if(app('request')->input('salesman')==$salesman->id) selected @endif>{{$salesman->first_name}}</option>
            @endforeach		
		</select>
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="salesman">{{ __('Branches') }}</label>
		<select  class="form-control" id="salesman" name="branch" style="width:100%">
		<option value="">---SELECT---</option>					
			@foreach($branches as $branch)   
                <option value="{{$branch->id}}" @if(app('request')->input('branch')==$branch->id) selected @endif>{{$branch->name}}</option>
            @endforeach		
		</select>
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="type">{{ __('Complaint Type') }}</label>
		<select  class="form-control" id="type" name="complaint_type" style="width:100%">
		<option value="">---SELECT---</option>					
		<option value="customer" @if(app('request')->input('complaint_type')=='customer') selected @endif>Customer</option>
		<option value="showroom" @if(app('request')->input('complaint_type')=='showroom') selected @endif>Showroom</option>
      	
		</select>
	</div>
</div>
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Created at') }}</label>
		<input autocomplete="off" type="text" class="form-control tcal" name="created_at" value="{{ app('request')->input('created_at') }}" />
	</div>
</div>
<div class="col-sm-2">
<div class="form-group">
        <br/>
		<button type="submit" class="btn btn-secondary  float-right" style="margin-top:4%">
			{{ __('Search') }}
		</button>
	</div>
</div>
    	</div>
    </form>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">
                            <span style="cursor:pointer" data-toggle="tooltip" title="filter" class="fa fa-filter filter_icon"></span>
                            @if(isset($_GET)  && count($_GET) > 3)
                            <a href="{{ route('report') }}" style="cursor:pointer;color:red" data-toggle="tooltip" title="Clear filter" class="fa fa-filter filter_icon"></a>
                            @endif
                        </h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                         {{ $complaints->withQueryString()->links() }}
                        <table id="example_report" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days passed</th>
                                <th>Current status</th>
                                <th>Current Assigned</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            	@if($complaints)
                            @foreach($complaints as $complaint)
                                <tr>
                                     <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                       
                                        {{$complaint->id}}
                                        @if($complaint->reopened)
                                            <span data-toggle="tooltip" title="reopened" class="fa fa-sync text-green"></span>
                                        @endif
                                    </td>
                                    <td>{{$complaint->name}}</td>
                                    <td>{{$complaint->phone_no}}</td>
                                    <td>{{$complaint->item_make}}</td>
                                    <td>{{$complaint->model}}</td>
                                    <td>{{$complaint->product}}</td>
                                    <td>{{$complaint->problem}}</td>
                                    <td>{{$complaint->user->name}} </td>
                                    <td style="white-space: nowrap;">
                                        {{date('d M Y',strtotime($complaint->created_at))}} 
                                        <br/>
                                        {{date('h:i:s a ',strtotime($complaint->created_at))}}
                                    </td>
                                    <td>
                                    <?php
                                    $now = time(); // or your date as well
                                    $created_at = strtotime($complaint->created_at);
                                    $datediff = $now - $created_at;
                                    $days=round($datediff / (60 * 60 * 24)) ;
                                    if($days > 0)
                                     echo $days ; 
                                    ?>
                                     </td>
                                    <td>{{$complaint->status->name}}</td>
                                    <td>
                                    <?php
                                        if(in_array($complaint->status_id,[2,7])) {  // assigned to supervisor
                                             $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first()->user;
                                            
                                        ?>
                                        <span data-toggle="tooltip" title="supervisor name">
                                            @isset($status->first_name)
                                             {{$status->first_name . " ". $status->last_name}}
                                             @endisset
                                         </span>
                                        <?php } else if($complaint->status_id==3){ // assigned to company 
                                            $status=$complaint->complaintstatus->where('status_id',3)->first()->company;
                                          ?>
                                           <span data-toggle="tooltip" title="Company name" style="color:green;font-weight:bold"><?php if(!empty($status->name)){ echo $status->name; } else { echo 'N/A'; } ?></span>
                                      <?php } else if(in_array($complaint->status_id,[4,8])){ 
                                                $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first()->vendor->user;
                                                ?>
                                                <span data-toggle="tooltip" title="supervisor name">
                                                    @isset($status->first_name)
                                                    {{$status->first_name . " ". $status->last_name}}
                                                    @endisset
                                                </span>
                                    <?php  } else {  ?>
                                        {{ __(' -- ') }}
                                      <?php } ?>
                                      </td>
                                    <td><a href="{{route('complaint.view',$complaint)}}">View</a></td>
                                    

                            @endforeach
                            @endif
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days passed</th>
                                <th>Current status</th>
                                <th>Current Assigned</th>
                                 <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        
                        {{ $complaints->withQueryString()->links() }}
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


<!-- Modal -->


@endsection
