@extends('layouts.main')

@section('content')

        <section class="content">
            <div class="container-fluid">
                <!-- SELECT2 EXAMPLE -->
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['title']}}</h3>
                    </div>
                    <form action="{{route('admin.branch_incharge.store')}}" method="post">
                    @csrf
                    <!-- /.card-header -->
                        <div class="card-body">
                            <div class="row">
                            <!----------------col------------>
                            <div class="col-sm-6">
                                <div class="form-group ">
                                    <label for="salesman">{{ __('Branch *') }} </label>
                                    <select  class="form-control" id="salesman" name="branch" style="width:100%">					
                                        @foreach($branches as $branch)   
                                            <option value="{{$branch->id}}" @if (old('branch')==$branch->id) selected @endif>{{$branch->name}}</option>
                                        @endforeach		
                                    </select>
                                    @error('branch')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                </div>
                            </div>
                            <!----------------col------------>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="first_name">{{ __('First Name *') }}</label>
                                        <input id="first_name" type="text"
                                               class="form-control @error('first_name') is-invalid @enderror" name="first_name"
                                               value="{{ old('first_name') }}" required>
                                        @error('first_name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="last_name">{{ __('Last Name *') }}</label>
                                        <input id="last_name" type="text"
                                               class="form-control @error('last_name') is-invalid @enderror" name="last_name"
                                               value="{{ old('last_name') }}" required>
                                        @error('last_name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="email">{{ __('Email *') }}</label>
                                        <input id="email" type="text"
                                               class="form-control @error('email') is-invalid @enderror" name="email"
                                               value="{{ old('email') }}" required>
                                        @error('email')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="username">{{ __('Username *') }}</label>
                                        <input id="username" type="text"
                                               class="form-control @error('username') is-invalid @enderror" name="username"
                                               value="{{ old('username') }}" required>
                                        @error('username')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="phone_no">{{ __('Phone Number *') }}</label>

                                        <input id="phone_no" type="text"
                                               class="form-control @error('phone_no') is-invalid @enderror"
                                               name="phone_no" value="{{ old('phone_no') }}" required>

                                        @error('phone_no')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="password">{{ __('Password *') }}</label>
                                        <input id="password" type="password"
                                               class="form-control @error('password') is-invalid @enderror" name="password"
                                               value="{{ old('password') }}" required>
                                        @error('password')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="password">{{ __('Confirm Password *') }}</label>
                                        <input id="password" value="{{ old('password_confirmation') }}" type="password" class="form-control " name="password_confirmation"   required>
                                        @error('password_confirmation')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="ptcl_no">{{ __('PTCL Number') }}</label>
                                        <input id="ptcl_no" type="text"
                                               class="form-control @error('ptcl_no') is-invalid @enderror" name="ptcl_no"
                                               value="{{ old('ptcl_no') }}" placeholder="optional">
                                        @error('ptcl_no')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="address">{{ __('Address') }}</label>

                                        <input id="address" type="text"
                                               class="form-control @error('address') is-invalid @enderror"
                                               name="address" value="{{ old('address') }}" placeholder="optional">

                                        @error('address')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">
                                                {{ __('Create') }}
                                            </button>
                                        </div>
                                </div>
                            </div>
                            </div>
                    </form>
                </div>
            </div>
    </section>
    </div>
@endsection
