@extends('layouts.main')
@section('scripts')
<script type="text/javascript">
            $(".mark_status_complete").click(function () {
               let complaint_id=$(this).attr('data-id');
               if(!complaint_id)
                 return;

                $('#modal_complaint_id').val(complaint_id);
                $('#csr_complete_status_modal').modal('show');
                $('.error_span').html('');
            });
            $(".add_remark_link").click(function () {
               let complaint_id=$(this).attr('data-id');
                $('#remark_modal_complaint_id').val(complaint_id);
                $('#csr_add_remark_modal').modal('show');
                $('.error_span_remarks').html('');
            });
            $(".add_comp_complain").click(function () {
               let complaint_id=$(this).attr('data-id');
                $('#comp_modal_complaint_id').val(complaint_id);
                $('#comp_complain_modal').modal('show');
                $('.error_span_comp').html('');
            });
            $(document).ready(function () {
                $('.toast').toast('show');
                //// submit status form
                $('#csr_status_copletion_form').submit(function(e){
                    e.preventDefault();
                let btn=$('.btn-submit-status');
                $.ajax({
                        type: 'POST',
                        url: $(this).attr('action'),
                        data: $(this).serialize(),
                        beforeSend: function() {
                            btn.val('updating...');
                            btn.attr("disabled", true);
                        },
                        success: function (data) {
                            if(data.status=="success"){
                                location.reload();
                            } else{
                                $('.error_span').html(data.msg);
                            }
                            btn.val('Update');
                            btn.removeAttr("disabled");
                        }
                    });
                });
                //////////////////add remarks form on submit/////
                $('#add_remarks_form').submit(function(e){
                    e.preventDefault();
                let form=$(this);    
                let btn=$('.btn-submit-remarks');
                $.ajax({
                        type: 'POST',
                        url: $(this).attr('action'),
                        data: $(this).serialize(),
                        beforeSend: function() {
                            $('.error_span_remarks').html('');
                            btn.val('processing...');
                            btn.attr("disabled", true);
                        },
                        success: function (data) {
                            if(data.status=="success"){
                                $('#add_remarks_form').trigger("reset");
                                $('#comp_complain_modal').modal('hide');
                                display_notice('success',data.msg);
                            } else{
                                $('.error_span_comp').html(data.msg);
                                display_notice('failure',data.msg);
                            }
                            btn.val('Add');
                            btn.removeAttr("disabled");
                        }
                    });
                });
                //////////////////add company assigned complain no to complaint/////
                $('#comp_complaint_form').submit(function(e){
                    e.preventDefault();
                let form=$(this);    
                let btn=$('.btn-submit-comp');
                $.ajax({
                        type: 'POST',
                        url: $(this).attr('action'),
                        data: $(this).serialize(),
                        beforeSend: function() {
                            $('.error_span_comp').html('');
                            btn.val('processing...');
                            btn.attr("disabled", true);
                        },
                        success: function (data) {
                            if(data.status=="success"){
                                $('#comp_complaint_form').trigger("reset");
                                $('#csr_add_remark_modal').modal('hide');
                                display_notice('success',data.msg);
                            } else{
                                display_notice('failure',data.msg);
                                $('.error_span_remarks').html(data.msg);
                            }
                            btn.val('Add');
                            btn.removeAttr("disabled");
                        }
                    });
                });
                ///////////////////

            });
 </script>

    
@endsection
@section('content')
<section class="content filter_span">
    	<form action="" method="GET">
    		 @csrf
    	<div class="row">
        <div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Complaint #') }}</label>
		<input type="number"  class="form-control" name="complaint_no" value="{{ app('request')->input('complaint_no') }}" />
	</div>
</div>	
<div class="col-sm-2">
	<div class="form-group ">
		<label for="company">{{ __('Companies') }}</label>

		<select  class="form-control" id="company" name="company" style="width:100%">
            <option value="">---SELECT---</option>					
			@foreach($companies as $company)  
                <option value="{{$company->id}}" @if(app('request')->input('company')==$company->id) selected @endif>{{$company->name}}</option>
         
            @endforeach		
		</select>
		
	</div>
</div>						
<div class="col-sm-2">
	<div class="form-group ">
		<label for="model">{{ __('Complain Status') }}</label>

		<select class="form-control" id="complain_status" name="complain_status">
		    <option value="">---SELECT---</option>					
			<option value="1" @if(app('request')->input('complain_status')==1) selected @endif>Pending</option>	
			<option value="5" @if(app('request')->input('complain_status')==5) selected @endif>Completed</option>	
		</select>
		
	</div>
</div>

<div class="col-sm-2">
<div class="form-group">
        <br/>
		<button type="submit" class="btn btn-secondary  float-right" style="margin-top:4%">
			{{ __('Search') }}
		</button>
	</div>
</div>
    	</div>
    </form>
    </section>
        <section class="content">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                        <h3 class="card-title">
                            
                            @if(isset($_GET)  && count($_GET) > 3)
                            <?php $current_route=Request::segments();?>
                            <a href="<?= $current_route[2];?>" style="cursor:pointer;color:red" data-toggle="tooltip" title="Clear filter" class="fa fa-filter filter_icon"></a>
                            @endif
                        </h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                        <div class="table-responsive">
                            {{$complaints->links()}}
                            <table id="example" class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Invoice Number</th>
                                    <th>Item Make</th>
                                    <th>Model</th>
                                    <th>Product</th>
                                    <th>Problem</th>
                                    <th>Created By</th>
                                    <th>Created at</th>
                                    <th>Days Passed</th>
                                    <th>Assigned</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($complaints as $complaint)
                                    <tr>
                                    <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                        <td>{{$complaint->name}}</td>
                                        <td>{{$complaint->phone_no}}</td>
                                        <td>{{$complaint->address}}</td>
                                        <td>{{$complaint->invoice_no}}</td>
                                        <td>{{$complaint->item_make}}</td>
                                        <td>{{$complaint->model}}</td>
                                        <td>{{$complaint->product}}</td>
                                        <td>{{$complaint->problem}}</td>
                                        <td>{{$complaint->user->name}} </td>
                                        <td style="white-space: nowrap;">
                                                {{date('d M Y',strtotime($complaint->created_at))}} 
                                                <br/>
                                                {{date('h:i:s a ',strtotime($complaint->created_at))}}
                                         </td>
                                        <td>
                                        <?php
                                        $now = time(); // or your date as well
                                        $created_at = strtotime($complaint->created_at);
                                        $datediff = $now - $created_at;
                                        $days=round($datediff / (60 * 60 * 24)) ;
                                        if($days > 0)
                                        echo $days ; 
                                        ?>
                                        </td>
                                        <?php
                                        $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->last();
                                        ?>
                                        <td>
                                            @if($complaint->status_id==4)
                                            {{$status->vendor->user->first_name}} {{$status->vendor->user->last_name}}
                                            @else
                                             Company
                                            @endif
                                        </td>
                                        <td>
                                            <a data-toggle ="tooltip" title="View" href="{{route('complaint.view',$complaint)}}">
                                            <span class="fa fa-eye"></span>
                                            </a> &nbsp; &nbsp; 
                                            @if(Auth::user()->role->name == "csr" && $complaint->status_id==3) 
                                              <a data-toggle ="tooltip" title="mark complete" data-id="{{$complaint->id}}" href="javascript:"  class="mark_status_complete">
                                                <span class="fa fa-check-circle"> </span>
                                              </a> &nbsp; &nbsp;
                                              <a data-toggle ="tooltip" style="color:green" title="add remark" data-id="{{$complaint->id}}" href="javascript:"  class="add_remark_link fa fa-plus">
                                                <span class="fa fa-book"> </span>
                                              </a>
                                              @if(empty($complaint->company_assigned_complain_no))
                                                &nbsp; &nbsp;
                                              <a data-toggle ="tooltip" style="color:orange" title="add company assign complain #" data-id="{{$complaint->id}}" href="javascript:"  class="add_comp_complain fa fa-plus">
                                                <span class="fa fa-building"> </span>
                                              </a> 
                                              @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Invoice Number</th>
                                    <th>Item Make</th>
                                    <th>Model</th>
                                    <th>Product</th>
                                    <th>Problem</th>
                                    <th>Created By</th>
                                    <th>Created at</th>
                                    <th>Days Passed</th>
                                    <th>Assigned</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                            </table>
                            {{$complaints->links()}}
                            </div>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </section>
        <!-- /.content -->
        <!-- Modal -->
<div class="modal fade" id="csr_complete_status_modal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">marking status:Complete <span class="fa fa-check-circle" style='color:green'></span></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="myModalBody">
                <form id="csr_status_copletion_form" method="post" action="{{route('csr.complaint.changestatus')}}">
                    @csrf
                    <input type="hidden" value="" name="id" id="modal_complaint_id">
                    <input type="hidden" value="5" name="status_id" >
                    
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Note/Remarks') }}</label>
                            <div class="col-md-6">
                                <textarea name="comment"  class="form-control" placeholder="optional"></textarea>
                            </div>
                    </div>  
                    <span class="error_span pull-left" style="color:red"></span>
            </div>
            <div class="modal-footer">
                <input class="btn btn-primary btn-sm pull-right btn-submit-status" type="submit" value="Update"/>
            </div>
            </form>
        </div>
    </div>
</div>
<!---------modal------------->
<div class="modal fade" id="csr_add_remark_modal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">Add Remarks</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="myModalBody">
                <form id="add_remarks_form" method="post" action="{{route('csr.complaint.addremarks')}}">
                    @csrf
                    <input type="hidden" value="" name="id" id="remark_modal_complaint_id">
                    
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Note/Remarks') }}</label>
                            <div class="col-md-6">
                                <textarea name="comment"  required class="form-control" ></textarea>
                            </div>
                    </div>  
                    <span class="error_span_remarks pull-left" style="color:red"></span>
            </div>
            <div class="modal-footer">
                <input class="btn btn-primary btn-sm pull-right btn-submit-remarks" type="submit" value="Add"/>
            </div>
            </form>
        </div>
    </div>
</div>
<!---------modal------------->
<div class="modal fade" id="comp_complain_modal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">Add company assign complain#</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="myModalBody">
                <form id="comp_complaint_form" method="post" action="{{route('csr.complaint.addcompanycomplaintno')}}">
                    @csrf
                    <input type="hidden" value="" name="id" id="comp_modal_complaint_id">
                    
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Complaint #') }}</label>
                            <div class="col-md-6">
                                <input type="text" reuired  name="complaint_no" class="form-control" placeholder="Complaint#"/>
                            </div>
                    </div>  
                    <span class="error_span_comp pull-left" style="color:red"></span>
            </div>
            <div class="modal-footer">
                <input class="btn btn-primary btn-sm pull-right btn-submit-comp" type="submit" value="Add"/>
            </div>
            </form>
        </div>
    </div>
</div>
@endsection

