@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')
    @if (session('success'))
        <script>

            Toast.fire({
                icon: 'success',
                title: '{{session('success')}}'
            });
        </script>
    @endif

    <script type="text/javascript">

        $(document).ready(function () {
           /* $(".openfrom").click(function () {
                $("#vendorDrop").hide();
                $("#companyDrop").hide();
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });*/
            $("#choose_assign_to").change(function () {
                let selected=$(this).val();
                if (selected== "supervisor") {
                    $("#supervisor_drop").show();
                    $("#company_drop").hide();
                } else if(selected== "company"){
                    $("#supervisor_drop").hide();
                    $("#company_drop").show();
                } else{
                    $("#supervisor_drop").hide();
                    $("#company_drop").hide();
                }

            });
            $(".openfrom").click(function () {
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                $('.error_span').html('')
                // show Modal
                $('#complaintModal').modal('show');
            });
            $("#submitForm").click(function () {
                console.log($("#supervisor").val());
                var data = {
                    '_token': "{{csrf_token()}}",
                    "supervisor_id": $("#supervisor").val(),
                    "csr_remarks": $("#csr_remarks").val(),
                    "id": $('#complaint_id').val()
                };
                $.ajax({
                    type: 'POST',
                    url: '{{route('complaint.assign.supervisor')}}',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
            $(document).ready(function () {
                $('.toast').toast('show');
            });

            /*****assign form submit */
      $('#myForm').submit(function(e){
        e.preventDefault();
        $.ajax({
			type: "POST",
			dataType:'json',
			data:  $(this).serialize(),
			url: $(this).attr('action'),
			
			beforeSend: function(){
                                    $('.btn-submit').val("Submitting ....");
                                    $('.btn-submit').attr("disabled",true);	
                                    $('.error_span').html('');				
								},
			 success: function(data){
                if(data.status=="success")
                {
                    location.reload(); 
                }
                else
                {
                    $('.error_span').html(data.msg);
                    $('.btn-submit').attr("disabled",false);
                }
                $('.btn-submit').val('Save Changes');
                
			 },
			error: function(XMLHttpRequest, textStatus, errorThrown) 
			{ 
                    $('.btn-submit').val('Save Changes');
                    $('.error_span').html(errorThrown);
                    $('.btn-submit').attr("disabled",false);
			} 
		});
    });
            /*****assign form submit */
        });
    </script>

@endsection
@section('content')

{{--
    <!-- Main content -->
    @if (session()->has('assigned'))
        <center><div class="sticky-top">
            <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                <div class="alert alert-success" role="alert">
                    <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                </div>
            </div>
            <?php
            session()->forget('assigned');
            ?>
        </div>
        </center>
    @endif--}}
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <a href="{{ route('csr.complaint.fourtyhourspassed', ['record_type'=>'not_assigned']) }}" class="btn btn-sm @if($general['selected_record']=='not_assigned') btn-success @endif" style="border:1px solid gray">
                            Not Assigned
                        </a>
                        <a href="{{ route('csr.complaint.fourtyhourspassed', ['record_type'=>'not_completed']) }}" class="btn btn-sm @if($general['selected_record']=='not_completed') btn-success @endif" style="border:1px solid gray">
                            Not completed
                        </a>
                        
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table  id="example" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Serial No</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Action</th>
                                
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                                <tr>
                                <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                    <td>{{$complaint->name}}</td>
                                    <td>{{$complaint->phone_no}}</td>
                                    <td>{{$complaint->address}}</td>
                                    <td>{{$complaint->serial_no}}</td>
                                    <td>{{$complaint->item_make}}</td>
                                    <td>{{$complaint->model}}</td>
                                    <td>{{$complaint->product}}</td>
                                    <td>{{$complaint->problem}}</td>
                                    <td>{{$complaint->user->name}}</td>
                                    <td style="white-space: nowrap;">
                                                {{date('d M Y',strtotime($complaint->created_at))}} 
                                                <br/>
                                                {{date('h:i:s a ',strtotime($complaint->created_at))}}
                                         </td>
                                    <td>
                                    @if($general['selected_record']=='not_assigned')
                                        <a type="button" data-id="{{$complaint->id}}" class="openfrom">
                                            Assign To
                                        </a>
                                        <hr/>
                                        @endif
                                        <a href="{{route('complaint.view',$complaint)}}">View</a>
                                    </td>

                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Serial Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


<!-- Modal -->
<div class="modal fade" id="complaintModal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">Assign To</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="myModalBody">
                <form id="myForm" method="post" action="{{route('complaint.assign.supervisor')}}">
                    @csrf
                    <input type="hidden" value="" name="id" id="complaint_id">
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Assign to') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" name="assign_to_type" id="choose_assign_to">
                                    <option vlaue="">Choose option</option>
                                    <option value="supervisor">Supervisor</option>
                                    <option value="company">Company</option>
                                  
                                </select>
                            </div>
                    </div>
                    <div class="form-group row" id="supervisor_drop" style="display:none">
                        <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Superviser') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" name="supervisor_id">
                                    @foreach($supervisors as $supervisor)
                                        <option value="{{$supervisor->id}}">{{$supervisor->first_name}} {{$supervisor->last_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                    </div>
                    <div class="form-group row" id="company_drop" style="display:none">
                        <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Company') }}</label>
                        <div class="col-md-6">
                            <select class="form-control" name="company_id">
                                @foreach($companies as $company)
                                    <option value="{{$company->id}}">{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Note/Remarks') }}</label>
                            <div class="col-md-6">
                                <textarea name="csr_remarks" id="csr_remarks" class="form-control"></textarea>
                            </div>
                    </div>

                    

                    {{--   <div class="form-group row" id="vendorDrop">
                        <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Vendor') }}</label>
                        <div class="col-md-6">
                            <select class="form-control" id="vendor">
                                <option></option>
                                @foreach($vendors as $vendor)
                                    <option
                                        value="{{$vendor->id}}">{{$vendor->user->first_name}} {{$vendor->user->last_name}}
                                        -{{$vendor->company_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>--}}
                        
                    <span class="error_span pull-left" style="color:red"></span>
            </div>
            <div class="modal-footer">
            
                <button type="button" class="btn btn-secondary btn-sm pull-right" data-dismiss="modal">Close</button>
                <input class="btn btn-primary btn-sm pull-right btn-submit" type="submit" value="Save Changes"/>
            </div>
            </form>
        </div>
    </div>
</div>

@endsection
