@extends('layouts.main')
@section('scripts')
<script type="text/javascript">
$(document).ready(function () {
$('.update_remarks_btn').click(function(){
   let primary_key= $(this).attr('data-pk-id');
   let comment=$('#csr_comment_input_'+primary_key).val();
      
   let btn=$(this).html('<span class="fa fa-spinner fa-spin"></span>');
   $.ajax({
                    type: 'POST',
                    url: '{{route('complaint.update.csrremarks')}}',
                    data: {table_pk_id:primary_key,comment:comment,'_token': "{{csrf_token()}}"},
                    beforeSend: function() {
                        btn.html('<span class="fa fa-spinner fa-spin"></span>');
                    },
                    success: function (data) {
                        btn.html('Update ');
                    }
                });
});
$('#feedback_btn').click(function(){
   let primary_key= $(this).attr('data-pk-id');
   let comment=$('#feedback_text').val();
   let btn=$(this).html('<span class="fa fa-spinner fa-spin"></span>');
   $.ajax({
                    type: 'POST',
                    url: '{{route('csr.add.feedback')}}',
                    data: {table_pk_id:primary_key,comment:comment,'_token': "{{csrf_token()}}"},
                    beforeSend: function() {
                        btn.html('<span class="fa fa-spinner fa-spin"></span>');
                    },
                    success: function (data) {
                        btn.html('Add');
                    }
                });
});
    //////////////////change status to complete/////
     //// submit status form
     $('#csr_status_copletion_form').submit(function(e){
                    e.preventDefault();
                let btn=$('.btn-submit-status');
                $.ajax({
                        type: 'POST',
                        url: $(this).attr('action'),
                        data: $(this).serialize(),
                        beforeSend: function() {
                            btn.val('updating...');
                            btn.attr("disabled", true);
                        },
                        success: function (data) {
                            if(data.status=="success"){
                                location.reload();
                            } else{
                                $('.error_span').html(data.msg);
                            }
                            btn.val('Update');
                            btn.removeAttr("disabled");
                        }
                    });
                });
    //////////////////add remarks form on submit/////
    $('#add_remarks_form').submit(function(e){
                        e.preventDefault();
                    let form=$(this);    
                    let btn=$('.btn-submit-remarks');
                    $.ajax({
                            type: 'POST',
                            url: $(this).attr('action'),
                            data: $(this).serialize(),
                            beforeSend: function() {
                                btn.val('processing...');
                                btn.attr("disabled", true);
                            },
                            success: function (data) {
                                if(data.status=="success"){
                                    display_notice('success',data.msg);
                                    location.reload();
                                } else{
                                    display_notice('failure',data.msg);
                                }
                                btn.val('Add');
                                btn.removeAttr("disabled");
                            }
                        });
                    });
        $('.show_remarks').click(function(){
            $('.remarks_area').toggle();
        });            
});
</script>
@endsection
@section('content')


    <section class="content">
        <div class="container-fluid">
        
            <div class="row">
                <div class="col-12">
                <div class="row ">
                    <div class="col-7" >
                    <div class="callout callout-info" style="height:125px">
                        <h5><i class="fas fa-exclamation-triangle "></i> Problem:</h5>
                        {{$complaint->problem}}
                    </div>
                    </div>
                    <div class="col-5">
                    <div class="callout callout-success" style="height:125px">
                        <h6><i class="fa fa-book"></i> Feedback:
                         @if(Auth::user()->role->name == "csr" && empty($complaint->feedback) && $complaint->status_id==5) 
                             <button data-pk-id="{{$complaint->id}}" id="feedback_btn">Add</button> 
                          @endif   
                           </h6>
                       
                          <textarea <?= (!empty($complaint->feedback) || $complaint->status_id!=5)? "disabled":""?> id="feedback_text" class="form-control" style="font-size:13px;">{{$complaint->feedback}}</textarea>
                           
                    </div>
                    </div>
                </div>
                    


                    <!-- Main content -->
                    <div class="invoice p-3 mb-3">
                        <!-- title row -->
                        <div class="row">
                      
                            <div class="col-4">
                                <p>
                                    <i class="fas fa-user"></i> BY :{{$complaint->user->name}}
                                </p>
                            </div>
                            <div class="col-4">
                                <p>
                                     <i class="fas fa-paste"> </i> Complaint Type: {{$complaint->complaint_type}} <b> @if(!empty($complaint->company_complaint_id)) {{ $complaint->company_complaint_id }} @endif </b>
                                </p>
                            </div>
                            <div class="col-4">
                                <p> <i class="fas fa-calendar"> </i> 
                                    Created Date: {{date('d M Y h:i:s a',strtotime($complaint->created_at))}}
                                </p>
                            </div>
                            <!-- /.col -->
                        </div>
                        <hr/>
                        <!-- info row -->
                        <div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                                <strong>Name</strong>
                                <address>
                                @if($complaint->name)
                                        {{$complaint->name}}
                                @else
                                   -- 
                                @endif
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Phone Number</strong>
                                <address>
                                @if($complaint->phone_no)
                                        {{$complaint->phone_no}}
                                @else
                                   -- 
                                @endif
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Address</strong>
                                <address>
                                @if($complaint->address)
                                        {{$complaint->address}}
                                @else
                                   -- 
                                @endif
                                </address>
                            </div>
                            <!-- /.col -->
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                                <strong>Product</strong>
                                <address>
                                    {{$complaint->product}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Item Make</strong>
                                <address>
                                    {{$complaint->item_make}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Model</strong>
                                <address>
                                    {{$complaint->model}}
                                </address>
                            </div>
                            
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Serial No</strong>
                                <address>
                                    {{$complaint->serial_no}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Invoice #</strong>
                                <address>
                                @if($complaint->invoice_no)
                                    {{$complaint->invoice_no}}
                                @else
                                   -- 
                                @endif
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>DOP</strong>
                                <address>
                                    {{$complaint->dop ? date('d-M-Y',strtotime($complaint->dop)) :$complaint->dop_manual}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <!--<div class="col-sm-4 invoice-col">
                                <strong>Current Status</strong>
                                <address>
                                    Assign to: {{$complaint->status->name}}
                                </address>
                            </div>--.
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Sales man</strong>
                                <address>
                                @if($complaint->salesman)
                                    {{$complaint->salesman->first_name}}
                                @else
                                   -- 
                                @endif
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Branch</strong>
                                <address>
                                    {{$complaint->branch->name}}
                                </address>
                            </div>
                            @if($complaint->reopened)
                            <div class="col-4">
                            <strong>Prev Complaint#</strong>
                                <address>
                                    {{$complaint->prev_complaint_id}}
                                </address>
                            </div>
                            <div class="col-4">
                            <strong>Complaint Reopened</strong>
                                <address>
                                    <span class="fa fa-check-circle"> yes</span>
                                </address>
                            </div>
                            @endif
                            @if((Auth::user()->role->name == "csr" || Auth::user()->role->name == "supervisor") && $complaint->status_id==3)
                            <div class="col-sm-4 invoice-col">
                                <button data-toggle="modal" href="#csr_complete_status_modal" class="btn btn-info btn-sm">Mark this complaint complete ? </button>
                            </div>
                            @endif
                        </div>
                        <!-- /.row -->
                        <!----------remarks------------------>
                        <div class="row">
                            <div class="col-12">
                             <a  style="cursor:pointer" class="fa fa-plus show_remarks"> Show Remarks</a>
                            </div>
                            
                        </div>
                        <br/>
                        <div class="row remarks_area" style="display:none">
                           
                            <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
                            
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Remarks</th>
                                        <th>Added by</th>
                                        <th>Added @</th>
                                    </tr>
                                    </thead>
                                    @if($complaint->complaintremarks && count($complaint->complaintremarks))
                                    <tbody>
                                    @foreach($complaint->complaintremarks as $index=>$remark)
                                    <tr>
                                        <td>{{($index+1)}}</td>
                                        <td>{{$remark->remarks}}</td>
                                        <td>{{$remark->user->name}}</td>
                                        <td>{{$remark->created_at}}</td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                    @endif
                                    </table>
                             </div>
                             
                            </div>
                            <!------col----->
                           
                            <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12">
                            
                            @if(Auth::user()->role->name == "csr" && $complaint->status_id!=5)
                            Add new remark
                            <form id="add_remarks_form" method="post" action="{{route('csr.complaint.addremarks')}}">
                                @csrf
                                <input type="hidden" value="{{$complaint->id}}" name="id" >
                                <textarea required class="form-control" name="comment" col="12"></textarea>
                                <button class="btn btn-success btn-sm btn-submit-remarks" data-pk-id="{{$complaint->id}}" >Add </button>
                            </form>
                            @endif
                            </div>
                        </div>
                        
                        <!----------remarks------------------>
                        <!-- Table row -->
                        <div class="row">
                            <div class="col-12 table-responsive">
                            <b class="fa fa-book"> Statuses</b>
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Assign to</th>
                                        <th>Assignee Name</th>
                                        <th>Status</th>
                                        <th>Description</th>
                                        <th>CSR remarks</th>
                                        <th>Assigning date</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($complaint->complaintstatus as $status)
                                    <tr>
                                        <td>
                                            {{$status->status->name}}</td>
                                        <?php
                                        $name="";
                                        if ($status->status_id==2){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==3){
                                            $name=$status->company->name;
                                        }elseif ($status->status_id==4){
                                            $name=$status->vendor->user->name;
                                        }elseif ($status->status_id==7){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==8){
                                            $name=$status->vendor->user->name;
                                        }
                                        ?>
                                        <td>{{$name}}</td>
                                        <td>
                                            @if($status->status_id==7 || $status->status_id==8 )
                                            {{$status->second_status->name}}
                                            @else
                                            {{$status->status->name}}
                                                @endif
                                        </td>
                                        <td>{{$status->comment}}</td>
                                        <td>
                                        @if(Auth::user()->role->name == "csr")
                                        <textarea id="csr_comment_input_{{$status->id}}" col="12">{{$status->csr_remarks}}</textarea>
                                        <br/>
                                        <button data-pk-id="{{$status->id}}" class="update_remarks_btn">Update </button>
                                        @else
                                        {{$status->csr_remarks}}
                                        @endif
                                            
                                        </td>
                                        <td>{{$status->created_at}}</td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->

                    </div>
                    <!-- /.invoice -->
                </div><!-- /.col -->
                            
            </div><!-- /.row -->
            

        </div><!-- /.container-fluid -->
    </section>
        <!-- Modal -->
<div class="modal fade" id="csr_complete_status_modal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">marking status:Complete <span class="fa fa-check-circle" style='color:green'></span></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="myModalBody">
                <form id="csr_status_copletion_form" method="post" action="{{route('csr.complaint.changestatus')}}">
                    @csrf
                    <input type="hidden" value="{{$complaint->id}}" name="id" >
                    <input type="hidden" value="5" name="status_id" >
                    
                    <div class="form-group row">
                        <label for="email"
                               class="col-md-4 col-form-label text-md-right">{{ __('Note/Remarks') }}</label>
                            <div class="col-md-6">
                                <textarea name="comment"  class="form-control" placeholder="optional"></textarea>
                            </div>
                    </div>  
                    <span class="error_span pull-left" style="color:red"></span>
            </div>
            <div class="modal-footer">
                <input class="btn btn-primary btn-sm pull-right btn-submit-status" type="submit" value="Update"/>
            </div>
            </form>
        </div>
    </div>
</div>
<!---------modal------------->
@endsection