@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Add Complaint12</div>

                <div class="card-body">
                   <form action="{{route('csr.complaint.store')}}" method="post">
                       @csrf

                       <div class="form-group row">
                           <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Customer Name') }}</label>

                           <div class="col-md-6">
                               <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required>

                               @error('name')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>

                       <div class="form-group row">
                           <label for="phone_no" class="col-md-4 col-form-label text-md-right">{{ __('Phone Number') }}</label>

                           <div class="col-md-6">
                               <input id="phone_no" type="text" class="form-control @error('phone_no') is-invalid @enderror" name="phone_no" value="{{ old('phone_no') }}" required>

                               @error('phone_no')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>
                       <div class="form-group row">
                           <label for="address" class="col-md-4 col-form-label text-md-right">{{ __('Address') }}</label>

                           <div class="col-md-6">
                               <input id="address" type="text" class="form-control @error('address') is-invalid @enderror" name="address" value="{{ old('address') }}" required>

                               @error('address')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>
                       <div class="form-group row">
                           <label for="invoice_no" class="col-md-4 col-form-label text-md-right">{{ __('Invoice Number') }}</label>

                           <div class="col-md-6">
                               <input id="invoice_no" type="text" class="form-control @error('invoice_no') is-invalid @enderror" name="invoice_no" value="{{ old('invoice_no') }}" required>

                               @error('invoice_no')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>
                       <div class="form-group row">
                           <label for="item_make" class="col-md-4 col-form-label text-md-right">{{ __('Item Make') }}</label>

                           <div class="col-md-6">
                               <input id="item_make" type="text" class="form-control @error('item_make') is-invalid @enderror" name="item_make" value="{{ old('item_make') }}" required>

                               @error('item_make')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>
                       <div class="form-group row">
                           <label for="model" class="col-md-4 col-form-label text-md-right">{{ __('Model') }}</label>

                           <div class="col-md-6">
                               <input id="model" type="text" class="form-control @error('model') is-invalid @enderror" name="model" value="{{ old('model') }}" required>

                               @error('model')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>

                       <div class="form-group row">
                           <label for="product" class="col-md-4 col-form-label text-md-right">{{ __('Product') }}</label>

                           <div class="col-md-6">
                               <input id="product" type="text" class="form-control @error('product') is-invalid @enderror" name="product" value="{{ old('product') }}" required>

                               @error('product')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>

                       <div class="form-group row">
                           <label for="problem" class="col-md-4 col-form-label text-md-right">{{ __('Problem') }}</label>

                           <div class="col-md-6">
                               <textarea id="problem" type="text" class="form-control @error('problem') is-invalid @enderror" name="problem" required>
                                   {{ old('problem') }}
                               </textarea>

                               @error('problem')
                               <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                               @enderror
                           </div>
                       </div>

                       <div class="form-group row mb-0">
                           <div class="col-md-8 offset-md-4">
                               <button type="submit" class="btn btn-primary">
                                   {{ __('Create Complaint') }}
                               </button>
                           </div>
                       </div>
                   </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
