@extends('layouts.main')
@section('scripts')
    @if (session('success'))
        <script>

            Toast.fire({
                icon: 'success',
                title: '{{session('success')}}'
            });
        </script>
    @endif

    <script>
        $('.delete-confirm').on('click', function (event) {
            event.preventDefault();
            const url = $(this).attr('href');
            Swal.fire({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        url: url,
                        data: {
                            "_token": "{{ csrf_token() }}"
                        },
                        type: "DELETE",
                        success: function () {
                            Swal.fire(
                                'Deleted!',
                                'Your file has been deleted.',
                                'success'
                            ).then((result) => {
                                // Reload the Page
                                location.reload();
                            });
                        }
                    });

                }
            })
            });


            /*swal({
                title: 'Are you sure?',
                text: 'This record and it`s details will be permanantly deleted!',
                icon: 'warning',
                buttons: ["Cancel", "Yes!"],
            }).then(function(value) {
                if (value) {
                    window.location.href = url;
                }
            });
        });*/
    </script>
@endsection
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">{{$general['title']}}</div>

                    <div class="card-body">
                        <table class="table" id="example1">
                            <thead>
                            <tr>
                                <th>Branch Name</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Phone</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($salesmen as $salesman)
                                <tr>
                                    <td>{{$salesman->branch->name}}</td>
                                    <td>{{$salesman->first_name}}</td>
                                    <td>{{$salesman->last_name}}</td>
                                    <td>{{$salesman->phone_no}}</td>
                                    <td>
                                        <!-- <a href="{{route('admin.salesman.destroy',$salesman->id)}}"  class="delete-confirm"><button class="wave-effect btn btn-danger btn-bordred wave-light"><i class="fa fa-times"></i></button></a> -->
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
