@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')

@endsection
@section('content')


    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                    <a href="{{ route('supervisor.complaint.reassigned') }}" class="btn btn-sm @if($general['selected_record']=='all_reassigned') btn-success @endif" style="border:1px solid gray">
                            All Reassigned
                        </a>
                        <a href="{{ route('supervisor.complaint.reassigned', ['pending_duration'=>'more_than_48_hrs']) }}" class="btn btn-sm @if($general['selected_record']=='more_than_48_hrs') btn-success @endif" style="border:1px solid gray">
                            more than 48 hrs passed
                        </a>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table id="example" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Status</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                                    <tr>
                                    <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                        <td>{{$complaint->name}}</td>
                                        <td>{{$complaint->phone_no}}</td>
                                        <td>{{$complaint->invoice_no}}</td>
                                        <td>{{$complaint->item_make}}</td>
                                        <td>{{$complaint->model}}</td>
                                        <td>{{$complaint->product}}</td>
                                        <td>{{$complaint->problem}}</td>
                                        <td>{{$complaint->status->name}}</td>
                                        <?php
                                        $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->last();
                                        ?>
                                        <td>{{$status->second_status->name}}</td>
                                        <td>{{$complaint->user->name}}</td>
                                        <td style="white-space: nowrap;">
                                                {{date('d M Y',strtotime($complaint->created_at))}} 
                                                <br/>
                                                {{date('h:i:s a ',strtotime($complaint->created_at))}}
                                     </td>
                                        <td><a href="{{route('supervisor.complaint.view',$complaint->id)}}" class="openfrom">
                                                View
                                            </a></td>
                                    </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Status</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


@endsection
