<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
    Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    die('aja');
    // return what you want
    });
    Route::get('/', function () {
    return redirect("/login");
    });
    
    Auth::routes();
    
    Route::get('/home', 'HomeController@index')->name('home');
    
    Route::get('/report', 'ComplaintController@report')->name('report')->middleware('auth');
    Route::post('/report/model', 'ComplaintController@search_model')->name('report.model')->middleware('auth');
    
    
    Route::prefix('admin')->name('admin.')->group(function() {
    Route::get('/', 'AdminController@index')->name('index')->middleware('admin');
    Route::get('/complaint', 'ComplaintController@unassigned')->name('complaint')->middleware('admin');
    Route::get('/complaint/assigned', 'ComplaintController@assigned')->name('complaint.assigned')->middleware('admin');
    Route::get('/complaint/assignedToSupervisor', 'ComplaintController@assignedToSupervisor')->name('complaint.assignedToSupervisor')->middleware('admin');
    Route::get('/complaint/all', 'AdminController@all')->name('complaint.all')->middleware('admin');
    Route::get('/show-pending-tabs', 'ComplaintController@show_pending_tabs')->name('show_pending_tabs')->middleware('admin');
    
    Route::get('/complaint/companyPendingComplaints', 'ComplaintController@companyPendingComplaints')->name('complaint.companyPendingComplaints')->middleware('admin');
    
    Route::get('/complaint/showroom-pending-complaints', 'ComplaintController@shoroomPendingComplaints')->name('complaint.showroom__pen__complaints')->middleware('admin');
    
    
    Route::get('/complaint/assignedToCompany', 'ComplaintController@assignedToCompany')->name('complaint.assignedToCompany')->middleware('admin');
    Route::get('/complaint/assignedToVendor', 'ComplaintController@assignedToVendor')->name('complaint.assignedToVendor')->middleware('admin');
    Route::get('/complaint/completed', 'AdminController@completed')->name('complaint.completed')->middleware('admin');
    Route::get('/complaint/create', 'ComplaintController@create')->name('complaint.create')->middleware('admin');
    Route::post('/complaint/create', 'ComplaintController@store')->name('complaint.store')->middleware('admin');
    Route::get('/complaint/notCompleted', 'SupervisorController@notCompleted')->name('complaint.notCompleted')->middleware('admin');
    Route::get('/complaint/allcompanyComplaints', 'ComplaintController@allcompanyComplaints')->name('complaint.allcompanyComplaints')->middleware('admin');
    Route::get('/complaint/allVendorComplaints', 'ComplaintController@allVendorComplaints')->name('complaint.allVendorComplaints')->middleware('admin');
    Route::get('/complaint/view/{id}', 'SupervisorController@ComplaintView')->name('complaint.view')->middleware('admin');
    
    Route::get('/complaints/showroom_complaint', 'AdminController@showroom_complaints')->name('complaint.showroom_complaint')->middleware('admin');
    
    
    // Route::get('/report', 'ComplaintController@report')->name('report')->middleware('admin');
    Route::post('/report/model', 'ComplaintController@search_model')->name('report.model')->middleware('admin');
    Route::get('/product_category/add-product-categories', 'ComplaintController@add_product_category')->name('product_category.add_product_category')->middleware('admin');
    Route::post('/product_category/add-product', 'ComplaintController@add_product')->name('product_category.add_product')->middleware('admin');
    Route::get('/product_category/fetch-product-categories', 'ComplaintController@fetch_all_products')->name('product_category.fetch_all_products')->middleware('admin');
    Route::post('/product_category/removeProduct', 'ComplaintController@remove_product')->name('product_category.remove_product')->middleware('admin');
    Route::get('/product_category/fetch-product-categories/{id}', 'ComplaintController@fetch_products')->name('product_category.fetch_all_products_id_wise')->middleware('admin');
    Route::post('/product_category/update-product/{id}', 'ComplaintController@update_product')->name('product_category.update_product')->middleware('admin');
    
    Route::post('/getallbrands', 'ComplaintController@getallbrands')->name('getallbrands')->middleware('auth');
    Route::post('/getallmodels', 'ComplaintController@getallmodels')->name('getallmodels')->middleware('auth');
    
    Route::group(['middleware' => ['supervisor','csr','admin']], function() {
    
    
    });
    Route::get('/getallshowroomcomplaints/{id}', 'ComplaintController@getallshowroomcomplaints')->name('admins.getallshowroomcomplaints')->middleware('admin');
    
    Route::get('/specialRequest', 'AdminController@specialRequest')->name('specialRequest')->middleware('admin');
    Route::post('/specialRequestPost', 'AdminController@specialRequestPost')->name('specialRequestPost')->middleware('admin');
    
    Route::get('/complaint/showroom_complaint', 'ComplaintController@showroom_complaints')->name('supervisor.complaint.showroom_complaints')->middleware('supervisor');
    //Route::get('/vendor', 'VendorController@index')->name('admin.vendor')->middleware('admin');
    Route::resource('vendor','VendorController')->middleware('admin');
    Route::resource('branch','BranchController')->middleware('admin');
    Route::resource('salesman','SalesmanController')->middleware('admin');
    Route::resource('company','CompanyController')->middleware('admin');
    Route::resource('status','StatusController')->middleware('admin');
    
    Route::get('/supervisor/create', 'SupervisorController@create')->name('supervisor.create')->middleware('admin');
    Route::post('/supervisor/store', 'SupervisorController@store')->name('supervisor.store')->middleware('admin');
    Route::get('/supervisor/all_supervisor', 'SupervisorController@all_supervisor')->name('supervisor.all_supervisor')->middleware('admin');
    Route::resource('supervisor','SupervisorController')->middleware('admin');
    
    Route::get('/csr/create', 'CorporateController@create')->name('csr.create')->middleware('admin');
    Route::post('/csr/store', 'CorporateController@store')->name('csr.store')->middleware('admin');
    Route::get('/csr/all_csr', 'CorporateController@all_csr')->name('csr.all_csr')->middleware('admin');
    Route::resource('csr','CorporateController')->middleware('admin');
    Route::get('/branch_incharge/create_incharge', 'BranchInchargeController@create_incharge')->name('branch.create_incharge')->middleware('admin');
    Route::post('/branch_incharge/store', 'BranchInchargeController@store')->name('branch_incharge.store')->middleware('admin');
    Route::get('/branch_incharge/all_incharges', 'BranchInchargeController@all_branch_incharge')->name('all.branch_incharge')->middleware('admin');
    Route::get('/branch_incharge/edit/{incharge}','BranchInchargeController@edit_incharge')->name('branchincharge.edit')->middleware('admin');
    Route::post('/branch_incharge/update','BranchInchargeController@update_incharge')->name('branch_incharge.update')->middleware('admin');
    
    });
    
    Route::prefix('services_incharge')->group(function() {
    Route::get('/', 'InchargeController@index')->name('incharge')->middleware('incharge');
    
    });
    
    Route::prefix('branchIncharge')->name('branchIncharge.')->group(function() {
    Route::get('/', 'BranchInchargeController@index')->name('dashboard')->middleware('BranchIncharge');
    Route::get('/create', 'BranchInchargeController@create_complaint')->name('create')->middleware('BranchIncharge');
    Route::post('/create', 'BranchInchargeController@store_complaint')->name('store')->middleware('BranchIncharge');
    Route::get('/pending', 'BranchInchargeController@pending_complaints')->name('pending')->middleware('BranchIncharge');
    Route::get('/total', 'BranchInchargeController@total_complaints')->name('total')->middleware('BranchIncharge');
    Route::get('/completed', 'BranchInchargeController@completed_complaints')->name('completed')->middleware('BranchIncharge');
    
    });
    Route::prefix('supervisor')->group(function() {
    Route::get('/', 'SupervisorController@index')->name('supervisor')->middleware('supervisor');
    Route::get('/complaint/pending', 'SupervisorController@pending')->name('supervisor.complaint.pending')->middleware('supervisor');
    
    Route::get('/complaints/pending', 'SupervisorController@unassigned')->name('supervisor.complaint.unassigned')->middleware('supervisor');
    
    Route::get('/getallshowroomcomplaints/{id}', 'ComplaintController@getallshowroomcomplaints')->name('supervisor.getallshowroomcomplaints')->middleware('supervisor');
    
    Route::get('/show-pending-tabs', 'ComplaintController@show_pending_tabs')->name('supervisor.show_pending_tabs')->middleware('supervisor');
    
    Route::get('/complaint/showroom-pending-complaints', 'ComplaintController@shoroomPendingComplaints')->name('supervisor.complaint.showroom__pen__complaints')->middleware('supervisor');
    
    
    Route::get('/complaint/reassigned', 'SupervisorController@reassigned')->name('supervisor.complaint.reassigned')->middleware('supervisor');
    Route::get('/complaint/assignedToCompany', 'ComplaintController@assignedToCompany')->name('supervisor.complaint.assignedToCompany')->middleware('supervisor');
    Route::get('/complaint/assignedToVendor', 'ComplaintController@assignedToVendor')->name('supervisor.complaint.assignedToVendor')->middleware('supervisor');
    Route::get('/complaint/showroom_complaint', 'ComplaintController@showroom_complaints')->name('supervisor.complaint.showroom_complaints')->middleware('supervisor');
    

   
    Route::get('/complaint/assigned', 'SupervisorController@assigned')->name('supervisor.complaint.assigned')->middleware('supervisor');
    Route::get('/complaint/completed', 'SupervisorController@completed')->name('supervisor.complaint.completed')->middleware('supervisor');
    Route::get('/complaint/notCompleted', 'SupervisorController@notCompleted')->name('supervisor.complaint.notCompleted')->middleware('supervisor');
    Route::get('/specialRequest', 'SupervisorController@specialRequest')->name('supervisor.specialRequest')->middleware('supervisor');
    Route::post('/complaint/assign', 'SupervisorController@assign')->name('supervisor.complaint.assign');
    Route::get('/complaint/companyPendingComplaints', 'ComplaintController@companyPendingComplaints')->name('supervisor.complaint.companyPendingComplaints')->middleware('supervisor');
    Route::get('/complaint/allVendorComplaints', 'ComplaintController@allVendorComplaints')->name('supervisor.complaint.allVendorComplaints')->middleware('supervisor');
    Route::get('/complaint/allcompanyComplaints', 'ComplaintController@allcompanyComplaints')->name('supervisor.complaint.allcompanyComplaints')->middleware('supervisor');
    });
    Route::prefix('csr')->group(function() {
    Route::get('/', 'ComplaintController@index')->name('csr')->middleware('csr');
    Route::get('/product_category/add-product-categories', 'ComplaintController@add_product_category')->name('csr.product_category.add_product_category')->middleware('csr');
    Route::post('/product_category/add-product', 'ComplaintController@add_product')->name('csr.product_category.add_product')->middleware('csr');
    
    Route::get('/getallshowroomcomplaints/{id}', 'ComplaintController@getallshowroomcomplaints')->name('csr.getallshowroomcomplaints')->middleware('csr');
    
    Route::get('/show-pending-tabs', 'ComplaintController@show_pending_tabs')->name('csr.show_pending_tabs')->middleware('csr');
    
    
    Route::get('/complaint/unassigned', 'ComplaintController@unassigned')->name('csr.complaint.unassigned')->middleware('csr');
    
    Route::get('/complaint/assigned', 'ComplaintController@assigned')->name('csr.complaint.assigned')->middleware('csr');
    Route::get('/complaint/assignedToCompany', 'ComplaintController@assignedToCompany')->name('complaint.assignedToCompany')->middleware('csr');
    Route::get('/complaint/assignedToVendor', 'ComplaintController@assignedToVendor')->name('complaint.assignedToVendor')->middleware('csr');
    Route::get('/complaint/showroom_complaints', 'ComplaintController@showroom_complaints')->name('complaint.showroom_complaints')->middleware('csr');
    // Route::get('/complaint/completed', 'ComplaintController@completed')->name('csr.complaint.completed')->middleware('csr');
    Route::get('/complaint', 'ComplaintController@unassigned')->name('csr.complaint')->middleware('csr');
    Route::get('/complaint/create', 'ComplaintController@create')->name('csr.complaint.create')->middleware('csr');
    
    Route::post('/complaint/create', 'ComplaintController@store')->name('csr.complaint.store')->middleware('csr');
    Route::get('/complaint/fortyEightHoursPassed', 'ComplaintController@fortyEightHoursPassed')->name('csr.complaint.fourtyhourspassed')->middleware('csr');
    Route::POST('/complaint/addFeedback', 'ComplaintController@addFeedback')->name('csr.add.feedback')->middleware('csr');
    Route::POST('/complaint/changestatus', 'ComplaintController@changeStatus')->name('csr.complaint.changestatus')->middleware('csr');
    Route::POST('/complaint/addremarks', 'ComplaintController@addRemarks')->name('csr.complaint.addremarks')->middleware('csr');
    Route::POST('/complaint/addcompanycomplaintno', 'ComplaintController@addCompanyComplaintNo')->name('csr.complaint.addcompanycomplaintno')->middleware('csr');
    Route::get('/complaint/companyPendingComplaints', 'ComplaintController@companyPendingComplaints')->name('csr.complaint.companyPendingComplaints')->middleware('csr');
    
    Route::get('/complaint/showroom-pending-complaints', 'ComplaintController@shoroomPendingComplaints')->name('csr.complaint.showroom__pen__complaints')->middleware('csr');
    
    
    
    Route::get('/complaint/allVendorComplaints', 'ComplaintController@allVendorComplaints')->name('csr.complaint.allVendorComplaints')->middleware('csr');
    Route::get('/complaint/allcompanyComplaints', 'ComplaintController@allcompanyComplaints')->name('csr.complaint.allcompanyComplaints')->middleware('csr');
    });
    
    Route::get('/live_search/search', 'ComplaintController@search')->name('live_search.action')->middleware('auth');
    
    Route::get('/complaint/alert', 'ComplaintController@alertComplaint')->name('complaints.alert')->middleware('auth');
    
    Route::get('/complaint/pending-alert-complaints', 'ComplaintController@pendingAlertComplaint')->name('complaint.pending-alert-complaints')->middleware('auth');
    
    Route::get('/complaint/assign', 'ComplaintController@assign')->name('complaint.assign');
    
    Route::post('/complaint/view/{id}', 'SupervisorController@ComplaintReassignPost')->name('supervisor.complaint.view.post')->middleware('auth');
    
    Route::get('/complaint/view/{id}', 'SupervisorController@ComplaintView')->name('supervisor.complaint.view')->middleware('auth');
    Route::get('/complaint/feedbackpending', 'ComplaintController@feedbackPending')->name('complaint.feedbackPending')->middleware('auth');
    Route::get('/complaint/feedbackDone', 'ComplaintController@feedbackDone')->name('complaint.feedbackDone')->middleware('auth');
    Route::get('/complaint/pending', 'ComplaintController@pending')->name('complaint.pending')->middleware('auth');
    Route::get('/complaint/completed', 'ComplaintController@completed')->name('complaint.completed')->middleware('auth');
    Route::get('/complaint/reopenedpending', 'ComplaintController@reopenedpending')->name('complaint.reopenedpending')->middleware('auth');
    Route::get('/complaint/reopenedcompleted', 'ComplaintController@reopenedcompleted')->name('complaint.reopenedcompleted')->middleware('auth');
    Route::get('/complaint/fortyEightHoursPassedNotCompleted', 
    'ComplaintController@fortyEightHoursPassedNotCompleted')
    ->name('complaint.fortyEightHoursPassedNotCompleted')
    ->middleware('auth');
    
    Route::get('/complaint/reassigned', 'ComplaintController@reassigned')->name('csr.complaint.reassigned')->middleware('auth');
    
    Route::get('/complaint/uncompletedSevenDays', 'ComplaintController@uncompletedSevenDays')->name('complaint.uncompletedSevenDays')->middleware('auth');
    Route::get('/complaint/notUpdatedfromhrs/{hrs}', 'ComplaintController@notUpdatedfromhrs')->name('complaint.notUpdatedfromhrs')->middleware('auth');  
    Route::get('/complaint/{complaint}', 'ComplaintController@show')->name('complaint.view')->middleware('auth');
    Route::post('/complaint/assign/supervisor', 'ComplaintController@assign')->name('complaint.assign.supervisor')->middleware('auth');
    Route::get('/complaint/getBrand/{product}', 'ComplaintController@getBrand')->name('complaint.getBrand')->middleware('auth');
    Route::get('/complaint/getSalesman/{id}', 'ComplaintController@getSalesman')->name('complaint.getSalesman')->middleware('auth');
    Route::get('/complaint/getModel/{product}/{brand}', 'ComplaintController@getModel')->name('complaint.getModel')->middleware('auth');
    
    
    Route::post('/complaint/updateCsrComment', 'ComplaintController@updateCsrComment')->name('complaint.update.csrremarks')->middleware('auth');
    Route::get('/complaint/edit/{complaint}/{reopenning?}', 'ComplaintController@edit')->name('complaint.edit')->middleware('csr');
    Route::post('/complaint/update', 'ComplaintController@update')->name('complaint.update')->middleware('csr');
    Route::post('/complaint/reopen', 'ComplaintController@reopen')->name('complaint.reopen')->middleware('csr');
    Route::get('/complaints/complaintsAddedToday', 'ComplaintController@complaintsAddedToday')->name('complaints.complaintsAddedToday')->middleware('auth');
    Route::get('/complaints/completedToday', 'ComplaintController@complaintscompletedToday')->name('complaints.completedToday')->middleware('auth');
    
    Route::prefix('vendor')->group(function() {
    Route::get('/vendor_dashboard', 'VendorController@vendor_dashboard')->name('vendor')->middleware('vendor');
    Route::get('/pending_complaints', 'VendorController@vendor_complaints')->name('vendor.complaint.pending')->middleware('vendor');
    Route::get('/all_complaints', 'VendorController@vendor_all_complaints')->name('vendor.complaint.all')->middleware('vendor');
    Route::get('/pendingfromdays/{days}', 'VendorController@pendingfromdays')->name('vendor.complaint.pendingfromdays')->middleware('vendor');
    Route::get('/complaint/reassigned', 'VendorController@vendor_reassigned_complaints')->name('vendor.complaint.reassigned')->middleware('vendor');
    Route::get('/complaint/assignedBack', 'VendorController@assigned_back')->name('vendor.complaint.assignedBack')->middleware('vendor');
    Route::get('/complaint/completed', 'VendorController@vendor_completed_complaints')->name('vendor.complaint.completed')->middleware('vendor');
    Route::get('/complaint/notCompleted', 'VendorController@vendor_notCompleted_complaints')->name('vendor.complaint.notCompleted')->middleware('vendor');
    Route::get('/complaint/view/{id}', 'VendorController@vendor_complaint_view')->name('vendor.complaint.view')->middleware('vendor');
    Route::post('/complaint/view/{id}', 'VendorController@vendor_complaint_view_post')->name('vendor.complaint.view')->middleware('vendor');
    });
