<?php $__env->startSection('scripts'); ?>
    <?php if(session('success')): ?>
        <script>

            Toast.fire({
                icon: 'success',
                title: '<?php echo e(session('success')); ?>'
            });
        </script>
    <?php endif; ?>

    <script>
        $('.delete-confirm').on('click', function (event) {
            event.preventDefault();
            const url = $(this).attr('href');
            Swal.fire({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        url: url,
                        data: {
                            "_token": "<?php echo e(csrf_token()); ?>"
                        },
                        type: "DELETE",
                        success: function () {
                            Swal.fire(
                                'Deleted!',
                                'Your file has been deleted.',
                                'success'
                            ).then((result) => {
                                // Reload the Page
                                location.reload();
                            });
                        }
                    });

                }
            })
            });


            /*swal({
                title: 'Are you sure?',
                text: 'This record and it`s details will be permanantly deleted!',
                icon: 'warning',
                buttons: ["Cancel", "Yes!"],
            }).then(function(value) {
                if (value) {
                    window.location.href = url;
                }
            });
        });*/
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><?php echo e($general['title']); ?></div>

                    <div class="card-body">
                        <table class="table" id="example1">
                            <thead>
                            <tr>
                                <th>Branch Name</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Phone</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $salesmen; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesman): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($salesman->branch->name); ?></td>
                                    <td><?php echo e($salesman->first_name); ?></td>
                                    <td><?php echo e($salesman->last_name); ?></td>
                                    <td><?php echo e($salesman->phone_no); ?></td>
                                    <td>
                                        <!-- <a href="<?php echo e(route('admin.salesman.destroy',$salesman->id)); ?>"  class="delete-confirm"><button class="wave-effect btn btn-danger btn-bordred wave-light"><i class="fa fa-times"></i></button></a> -->
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home1/friends1/public_html/services/resources/views/salesman/index.blade.php ENDPATH**/ ?>