
<?php $__env->startSection('scripts'); ?>
<script type="text/javascript">
    $('#assign_form').submit(function(e){
        e.preventDefault();
        var btn = $(this).find("input[type=submit]:focus" ); 
        var btn_value=btn.val();
         var status = btn.attr('name');
        if(!confirm('Are you sure to perform action ? ' + btn_value)){
                return;
        }
        $.ajax({
                    type: "POST",
                    url: $(this).attr('action'),
                    data: $(this).serialize() + '&status=' + status,
                    dataType: 'json',
                    beforeSend: function()
                    {
                        btn.val('processing...');
                    },
                    success: function(data){
                        
                       if(data.status=="success")
                       {
                           
                        display_notice('success',data.msg);
                        location.reload();
                        
                       }
                       else
                       {
                           
                         display_notice('failure',data.msg);
                        
                       }
                       
                       btn.val(btn_value);
                            
                    }
                });
    });
</script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                <div class="row ">
                    <div class="col-7" >
                    <div class="callout callout-info" style="height:125px">
                        <h5><i class="fas fa-exclamation-triangle "></i> Problem:</h5>
                        <?php echo e($complaint->problem); ?>

                    </div>
                    </div>
                    <div class="col-5">
                    <div class="callout callout-success" style="height:125px">
                        <h5><i class="fa fa-book"></i> Feedback:  
                           </h5>
                           <?php echo e($complaint->feedback); ?>

                           
                    </div>
                    </div>
                </div>
                    <!-- Main content -->
                    <div class="invoice p-3 mb-3">
                        <!-- title row -->
                        <div class="row">
                        <div class="col-4">
                                <p>
                                    <i class="fas fa-user"></i> BY :<?php echo e($complaint->user->name); ?>

                                </p>
                            </div>
                            <div class="col-4">
                                <p> <i class="fas fa-paste"> </i> Complaint Type: <?php echo e($complaint->complaint_type); ?>

                                </p>
                            </div>
                            <div class="col-4">
                                <p> <i class="fas fa-calendar"> </i> 
                                    Created Date: <?php echo e(date('d M Y h:i:s a',strtotime($complaint->created_at))); ?>

                                </p>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- info row -->
                        <div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                                <strong>Name</strong>
                                <address>
                                <?php echo e($complaint->name); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Phone Number</strong>
                                <address>
                                    <?php echo e($complaint->phone_no); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Address</strong>
                                <address>
                                    <?php echo e($complaint->address); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                                <strong>Product</strong>
                                <address>
                                    <?php echo e($complaint->product); ?>

                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Item Make</strong>
                                <address>
                                    <?php echo e($complaint->item_make); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Model</strong>
                                <address>
                                    <?php echo e($complaint->model); ?>

                                </address>
                            </div>
                            
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Serial No</strong>
                                <address>
                                    <?php echo e($complaint->serial_no); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Invoice #</strong>
                                <address>
                                    <?php echo e($complaint->invoice_no); ?>

                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>DOP</strong>
                                <address>
                                <?php echo e($complaint->dop ? date('d-M-Y',strtotime($complaint->dop)):$complaint->dop_manual); ?>

                                </address>
                            </div>
                            <!-- /.col -->
                            <!--<div class="col-sm-4 invoice-col">
                                <strong>Current Status</strong>
                                <address>
                                    Assign to: <?php echo e($complaint->status->name); ?>

                                </address>
                            </div>--.
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Sales man</strong>
                                <address>
                                <?php if($complaint->salesman): ?>
                                    <?php echo e($complaint->salesman->first_name); ?>

                                <?php endif; ?>
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Branch</strong>
                                <address>
                                    <?php echo e($complaint->branch->name); ?>

                                </address>
                            </div>
                            <?php if($complaint->reopened): ?>
                            <div class="col-4">
                            <strong>Prev Complaint#</strong>
                                <address>
                                    <?php echo e($complaint->prev_complaint_id); ?>

                                </address>
                            </div>
                            <div class="col-4">
                            <strong>Complaint Reopened</strong>
                                <address>
                                    <span class="fa fa-check-circle"> yes</span>
                                </address>
                            </div>
                            <?php endif; ?>

                        </div>
                        <!-- /.row -->

                        <!-- Table row -->
                        <div class="row">
                            <div class="col-12 table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Assign to</th>
                                        <th>Assignee Name</th>
                                        <th>Status</th>
                                        <th>Description</th>
                                        <th>Assigning date</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__currentLoopData = $complaint->complaintstatus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($status->status->name); ?></td>
                                        <?php
                                        $name="";
                                        if ($status->status_id==2){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==4){
                                            $name=$status->vendor->user->name;
                                        }elseif ($status->status_id==7){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==8){
                                            $name=$status->vendor->user->name;
                                        }
                                        ?>
                                        <td><?php echo e($name); ?></td>
                                        <td>
                                            <?php if($status->status_id==7 || $status->status_id==8 ): ?>
                                            <?php echo e($status->second_status->name); ?>

                                            <?php else: ?>
                                            <?php echo e($status->status->name); ?>

                                                <?php endif; ?>
                                        </td>
                                        <td><?php echo e($status->comment); ?></td>
                                        <td><?php echo e($status->created_at); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->

                    </div>
                    <!-- /.invoice -->
                </div><!-- /.col -->
                <?php if($complaint->status_id==7): ?>
                    <div class="col-md-12">
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Assign back to Vendor</h3>

                                <div class="card-tools">
                                    <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                                        <i class="fas fa-minus"></i></button>
                                </div>
                            </div>
                            <div class="card-body">
                                <form action="<?php echo e(route('supervisor.complaint.view.post' , [$complaint->id])); ?>" method="post" id="assign_form">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group">
                                        <label for="inputDescription">Status</label>
                                        <select name="status_id" class="form-control">
                                            <?php
                                            $statuses = \App\Http\Models\Status::where('type', 'supervisor')->get();
                                            ?>
                                            <?php $__currentLoopData = $statuses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($status->id); ?>"><?php echo e($status->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                <div class="form-group">
                                    <label for="inputDescription">Issue/Status</label>
                                    <textarea id="inputDescription" name="comment" class="form-control" rows="4"></textarea>
                                </div>
                                
                                <div class="col-12">
                                    <a href="#" class="btn btn-secondary">Cancel</a>
                                    <input type="submit" name="update" value="Assign To Vendor" class="btn btn-success">
                                    <input type="submit" name="completed" value="Mark As Completed" class="btn btn-success float-right">
                                </div>
                                </form>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->

                    </div>
                    <?php endif; ?>

            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home1/friends1/public_html/services/resources/views/supervisor/complaint_view.blade.php ENDPATH**/ ?>