<?php $__env->startSection('style'); ?>
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script type="text/javascript">

        $(document).ready(function () {
            $(".openfrom").click(function () {
                $("#vendorDrop").hide();
                $("#companyDrop").hide();
                $("#specialDrop").hide();
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });
            $("#selectassignTo").change(function () {
                if ($(this).val() == "vendor") {
                    $("#vendorDrop").show();
                    $("#companyDrop").hide();
                    $("#specialDrop").hide();
                } else if($(this).val() == "company"){
                    $("#vendorDrop").hide();
                    $("#specialDrop").hide();
                    $("#companyDrop").show();
                }else{
                    $("#vendorDrop").hide();
                    $("#specialDrop").show();
                    $("#companyDrop").hide();
                }

            });
            $("#submitForm").click(function () {
                console.log($("#selectassignTo").val() + " " + $("#company").val() + " " + $("#vendor").val());
                var data = {
                    '_token': "<?php echo e(csrf_token()); ?>",
                    "assignTo": $("#selectassignTo").val(),
                    "company_id": $("#company").val(),
                    "id": $('#complaint_id').val(),
                    "comment": $('#comment').val(),
                    "vendor_id": $("#vendor").val()
                };
                $.ajax({
                    type: 'POST',
                    url: '<?php echo e(route('supervisor.complaint.assign')); ?>',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
            $(document).ready(function () {
                $('.toast').toast('show');
            });
        });
    </script>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <!-- Main content -->
    <?php if(session()->has('assigned')): ?>
        <center><div class="sticky-top">
                <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                    <div class="alert alert-success" role="alert">
                        <h4 class="alert-heading"><?php echo e(session()->get('assigned')); ?></h4>
                    </div>
                </div>
                <?php
                session()->forget('assigned');
                ?>
            </div>
        </center>
    <?php endif; ?>
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><?php echo e($general['msg']); ?></h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="example1" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $complaints; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $complaint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($complaint->name); ?></td>
                                        <td><?php echo e($complaint->phone_no); ?></td>
                                        <td><?php echo e($complaint->address); ?></td>
                                        <td><?php echo e($complaint->invoice_no); ?></td>
                                        <td><?php echo e($complaint->item_make); ?></td>
                                        <td><?php echo e($complaint->model); ?></td>
                                        <td><?php echo e($complaint->product); ?></td>
                                        <td><?php echo e($complaint->problem); ?></td>
                                        <td><a type="button" data-id="<?php echo e($complaint->id); ?>" class="openfrom">
                                                Assign To
                                            </a></td>
                                    </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


    <!-- Modal -->
    <div class="modal fade" id="complaintModal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myModalLabel">Assign To</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="myModalBody">
                    <form id="myForm">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" value="" id="complaint_id">
                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right"><?php echo e(__('Assign to')); ?></label>
                            <div class="col-md-6">
                                <select class="form-control" id="selectassignTo">
                                    <option></option>
                                    <option value="company">Company</option>
                                    <option value="vendor">Vendor</option>
                                    <option value="special">Special Request</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="companyDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Company')); ?></label>
                            <div class="col-md-6">
                                <select class="form-control" id="company">
                                    <option></option>
                                    <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($company->id); ?>"><?php echo e($company->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="vendorDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Vendor')); ?></label>
                            <div class="col-md-6">
                                <select class="form-control" id="vendor">
                                    <option></option>
                                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($vendor->id); ?>"><?php echo e($vendor->user->first_name); ?> <?php echo e($vendor->user->last_name); ?>

                                            -<?php echo e($vendor->company_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="specialDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right"><?php echo e(__('Note to Admin')); ?></label>
                            <div class="col-md-6">
                               <textarea name="comment" id="comment" class="form-control"></textarea>
                            </div>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="submitForm">Save changes</button>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\services\resources\views/supervisor/pending.blade.php ENDPATH**/ ?>