<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="/" class="brand-link">
        
        <span class="brand-text font-weight-light"> <?php echo e(config('app.name', 'Japan Electronics')); ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="<?php echo e(asset('assets/img/avatar.png')); ?>" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="#" class="d-block"><?php echo e(Auth::user()->first_name); ?> <?php echo e(Auth::user()->last_name); ?></a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                     with font-awesome or any other icon font library -->
                
                <?php if(Auth::user()->role->name == "csr"): ?>
                    <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-copy"></i>
                            <p>
                                Complaint
                                <i class="fas fa-angle-left right"></i>
                                
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('csr.complaint.create')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Create Complaint</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('csr.complaint.unassigned')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Unassigned  Complaints</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('csr.complaint.assigned')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Assigned Complaints</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('csr.complaint.fourtyhourspassed')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Unchanged last 48 hrs</p>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <?php endif; ?>
                    
                <?php if(Auth::user()->role->name == "admin"): ?>
                <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            Supervisor
                            <i class="fas fa-angle-left right"></i>
                            
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.supervisor.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Create Supervisor</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.supervisor.all_supervisor')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Supervisor</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            CSR
                            <i class="fas fa-angle-left right"></i>
                            
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.csr.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Create CSR</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.csr.all_csr')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All CSR</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            Complaint
                            <i class="fas fa-angle-left right"></i>
                            
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.complaint.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Create Complaint</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.complaint')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>New Complaints</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.complaint.assigned')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Assigned Complaints</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chart-pie"></i>
                        <p>
                            Vendor
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.vendor.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add Vendor</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.vendor.index')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Vendors</p>
                            </a>
                        </li>
                    </ul>
                </li>
                    <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chart-pie"></i>
                        <p>
                            Branch
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                    
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.branch.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add Banch</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.branch.index')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Branches</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.branch.create_incharge')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add Banch Incharge</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.all.branch_incharge')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Banch Incharge</p>
                            </a>
                        </li>
                    </ul>
                </li>

                    <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-chart-pie"></i>
                        <p>
                            Salesman
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.salesman.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add Salesman</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.salesman.index')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Salesmen</p>
                            </a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                        <i class="nav-icon fas fa-tree"></i>
                        <p>
                            Company
                            <i class="fas fa-angle-left right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.company.create')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Add Company</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.company.index')); ?>" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>All Company</p>
                            </a>
                        </li>
                    </ul>
                </li>
                    <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-tree"></i>
                            <p>
                                Statuses
                                <i class="fas fa-angle-left right"></i>
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.status.create')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Add Status</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.status.index')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>All Status</p>
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-tree"></i>
                            <p>
                                Special Requests
                                <i class="fas fa-angle-left right"></i>
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.specialRequest')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Pending for Approval</p>
                                </a>
                            </li>
                        </ul>
                    </li>
                   
                <?php endif; ?>

                <?php if(Auth::user()->role->name == "supervisor"): ?>
                    <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-copy"></i>
                            <p>
                                Complaint
                                <i class="fas fa-angle-left right"></i>
                                
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('supervisor.complaint.pending')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Pending Complaint</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('supervisor.complaint.completed')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Completed Complaints</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('supervisor.complaint.assigned')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Assigned Complaints</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('supervisor.complaint.reassigned')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>ReAssigned Complaints</p>
                                </a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if(Auth::user()->role->name == "vendor"): ?>
                    <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-copy"></i>
                            <p>
                                Complaint
                                <i class="fas fa-angle-left right"></i>
                                
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('vendor.complaint.pending')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Pending Complaint</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('vendor.complaint.reassigned')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>ReAssigned Complaints</p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('vendor.complaint.completed')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Completed Complaints</p>
                                </a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>
                
                <li class="nav-item has-treeview">
                        <a href="#" class="nav-link">
                            <i class="nav-icon fas fa-tree"></i>
                            <p>
                                Reports
                                <i class="fas fa-angle-left right"></i>
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('report')); ?>" class="nav-link">
                                    <i class="far fa-circle nav-icon"></i>
                                    <p>Report</p>
                                </a>
                            </li>
                        </ul>
                    </li>
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
<?php /**PATH /home1/wurfelit/japan.electronics.wurfelit.com/resources/views/layouts/sidebar.blade.php ENDPATH**/ ?>