@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')
    <script type="text/javascript">

        $(document).ready(function () {
            $(".openfrom").click(function () {
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });

            $("#submitForm").click(function () {
                var data = {
                    '_token': "{{csrf_token()}}",
                    "status": $("#status").val(),
                    "id": $('#complaint_id').val()
                };
                $.ajax({
                    type: 'POST',
                    url: '{{route('admin.specialRequestPost')}}',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
            $(document).ready(function () {
                $('.toast').toast('show');
            });
        });
    </script>

@endsection
@section('content')


    <!-- Main content -->
    @if (session()->has('assigned'))
        <center><div class="sticky-top">
                <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                    <div class="alert alert-success" role="alert">
                        <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                    </div>
                </div>
                <?php
                session()->forget('assigned');
                ?>
            </div>
        </center>
    @endif
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header"> 
                        <h3 class="card-title">{{$general['msg']}}</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="example" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                    <th>Created At</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                                    <tr>
                                        <td>{{$complaint->id}}</td>
                                        <td>{{$complaint->name}}</td>
                                        <td>{{$complaint->phone_no}}</td>
                                        <td>{{$complaint->address}}</td>
                                        <td>{{$complaint->invoice_no}}</td>
                                        <td>{{$complaint->item_make}}</td>
                                        <td>{{$complaint->model}}</td>
                                        <td>{{$complaint->product}}</td>
                                        <td>{{$complaint->problem}}</td>
                                        <td>{{$complaint->user->name}}</td>
                                        <td>{{$complaint->created_at}}</td>
                                        <td><a type="button" data-id="{{$complaint->id}}" class="openfrom">
                                                Add Status
                                            </a></td>
                                    </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                 <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                    <th>Created At</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


    <!-- Modal -->
    <div class="modal fade" id="complaintModal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myModalLabel">Add Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="myModalBody">
                    <form id="myForm">
                        @csrf
                        <input type="hidden" value="" id="complaint_id">
                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">{{ __('Choose Action') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="status">
                                    <option value="18">Approve</option>
                                    <option value="19">Reject</option>
                                </select>
                            </div>
                        </div>


                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="submitForm">Save changes</button>
                </div>
            </div>
        </div>
    </div>

@endsection
