@extends('layouts.main')

@section('content')

        <section class="content">
            <div class="container-fluid">
                <!-- SELECT2 EXAMPLE -->
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['title']}}</h3>
                    </div>
                    <form action="{{route('admin.branch.store')}}" method="post">
                    @csrf
                    <!-- /.card-header -->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="name">{{ __('Branch Name') }}</label>
                                        <input id="name" type="text"
                                               class="form-control @error('name') is-invalid @enderror" name="name"
                                               value="{{ old('name') }}" required>
                                        @error('name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="phone_no">{{ __('Phone Number') }}</label>

                                        <input id="phone_no" type="text"
                                               class="form-control @error('phone_no') is-invalid @enderror"
                                               name="phone_no" value="{{ old('phone_no') }}" required>

                                        @error('phone_no')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="address">{{ __('Address') }}</label>

                                        <textarea id="address" type="text"
                                               class="form-control @error('address') is-invalid @enderror"
                                                  name="address" value="{{ old('address') }}" required></textarea>

                                        @error('address')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">
                                                {{ __('Create Branch') }}
                                            </button>
                                        </div>
                                </div>
                            </div>
                            </div>
                    </form>
                </div>
            </div>
    </section>


@endsection
