@extends('layouts.main')
@section('style')
    
@endsection
@section('scripts')
    @if (session('success'))
        <script>

            Toast.fire({
                icon: 'success',
                title: '{{session('success')}}'
            });
        </script>
    @endif


@endsection
@section('content')


    
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">
                        </h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table id="example"  class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th class="sorting">Name</th>
                                <th>Phone</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days passed</th>
                                <th>Current status</th>
                                <th>Current Assigned</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            	@if($complaints)
                            @foreach($complaints as $complaint)
                                <tr>
                                    <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                    <td>{{$complaint->name}}</td>
                                    <td>{{$complaint->phone_no}}</td>
                                    <td>{{$complaint->item_make}}</td>
                                    <td>{{$complaint->model}}</td>
                                    <td>{{$complaint->product}}</td>
                                    <td>{{$complaint->problem}}</td>
                                    <td>{{$complaint->user->name}} </td>
                                    <td>{{$complaint->created_at}} </td>
                                    <td>
                                    <?php
                                    $now = time(); // or your date as well
                                    $created_at = strtotime($complaint->created_at);
                                    $datediff = $now - $created_at;
                                    $days=round($datediff / (60 * 60 * 24)) ;
                                    if($days > 0)
                                     echo $days; 
                                    ?>
                                     </td>
                                    <td>{{$complaint->status->name}}</td>
                                    <td>
                                    <?php
                                        if(in_array($complaint->status_id,[2,7])) {  // assigned to supervisor
                                             $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first()->user;
                                            
                                        ?>
                                        <span data-toggle="tooltip" title="supervisor name">
                                            @isset($status->first_name)
                                             {{$status->first_name . " ". $status->last_name}}
                                             @endisset
                                         </span>
                                        <?php } else if($complaint->status_id==3){ // assigned to company 
                                            $status=$complaint->complaintstatus->where('status_id',3)->first()->company;
                                          ?>
                                           <span data-toggle="tooltip" title="Company name" style="color:green;font-weight:bold">{{$status->name}}</span>
                                      <?php } else if(in_array($complaint->status_id,[4,8])){ 
                                                $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first()->vendor->user;
                                                ?>
                                                <span data-toggle="tooltip" title="supervisor name">
                                                    @isset($status->first_name)
                                                    {{$status->first_name . " ". $status->last_name}}
                                                    @endisset
                                                </span>
                                    <?php  } else {  ?>
                                        {{ __(' -- ') }}
                                      <?php } ?>
                                      </td>
                                    <td>
                                        <a data-toggle="tooltip" title="View Detail" href="{{route('complaint.view',$complaint)}}"><span class="fa fa-eye"></span></a>
                                        @if(Helper::is_complaint_editable($complaint))
                                         &nbsp;&nbsp<a data-toggle="tooltip" title="Edit complaint" href="{{route('complaint.edit',$complaint)}}"><span class="fa fa-edit"></span></a>
                                        @endif
                                        @if(Auth::user()->role->name == "csr" && $complaint->status_id=="5" && $complaint->complaint_type=='customer') <!-------if complaint is completed can be reopened-------->
                                         &nbsp;&nbsp<a data-toggle="tooltip" title="Reopen complaint" href="{{route('complaint.edit',['complaint'=>$complaint,'reopenning'=>'reopenned'])}}"><span style="color:green" class="fa fa-sync"></span></a>
                                        @endif
                                    </td>
                                    

                            @endforeach
                            @endif
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days Passed</th>
                                <th>Current status</th>
                                <th>Current Assigned</th>
                                 <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


<!-- Modal -->


@endsection
