@extends('layouts.main')

@section('content')

        <section class="content">
            <div class="container-fluid">
                <!-- SELECT2 EXAMPLE -->
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['title']}}</h3>
                    </div>
                    <form action="{{route('admin.status.store')}}" method="post">
                    @csrf
                    <!-- /.card-header -->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="name">{{ __('Status Name') }}</label>
                                        <input id="name" type="text"
                                               class="form-control @error('name') is-invalid @enderror" name="name"
                                               value="{{ old('name') }}" required>
                                        @error('name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="slug">{{ __('Slug') }}</label>
                                        <input id="slug" type="text"
                                               class="form-control @error('slug') is-invalid @enderror" name="slug"
                                               value="{{ old('slug') }}" required>
                                        @error('slug')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="email">{{ __('Type') }}</label>
                                        <select class="form-control" name="type">
                                            <option value="customer">Customer</option>
                                            <option value="supervisor">Supervisor</option>
                                            <option value="vendor">Vendor</option>
                                        </select>
                                        @error('type')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">
                                                {{ __('Create Status') }}
                                            </button>
                                        </div>
                                </div>
                            </div>
                            </div>
                    </form>
                </div>
            </div>
    </section>
    </div>
@endsection
