@extends('layouts.main')
@section('scripts')
    <script>
        $(document).ready(function(){
            $(".delete").click(function(e){
                e.preventDefault();
                if(!confirm("Do you really want to do this?")) {
                    return false;
                }
                var id=$(this).attr("data-id");
                var data = {
                    "_method":"DELETE",
                    '_token': "{{csrf_token()}}",
                    "id": $(this).attr("data-id"),
                };
                var url = e.target;
                $.ajax({
                    type: 'POST',
                    url: url,
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
        });
    </script>
@endsection
@section('content')

    @if (session()->has('statusCreated'))
        <center><div class="sticky-top">
                <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                    <div class="alert alert-success" role="alert">
                        <h4 class="alert-heading">{{session()->get('statusCreated')}}</h4>
                    </div>
                </div>
                <?php
                session()->forget('statusCreated');
                ?>
            </div>
        </center>
    @endif
        <section class="content">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">{{$general['msg']}}</h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Slug</th>
                                    <th>Type</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($statuses as $status)
                                    <tr>
                                        <td>{{$status->name}}</td>
                                        <td>{{$status->slug}}</td>
                                        <td>{{$status->type}}</td>
                                        <td>{{--<a type="button" data-toggle="modal" data-target="#exampleModal">
                                  Assign To
                              </a>--}}
                                            <!-- <a type="button" href="{{route('admin.status.destroy',$status->id)}}" class="delete" data-id="{{$status->id}}" >Delete</a>-->
                                            </td> 
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
        </section>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    ...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
@endsection
