@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')

@endsection
@section('content')


    <!-- Main content -->
    @if (session()->has('assigned'))
        <center><div class="sticky-top">
                <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                    <div class="alert alert-success" role="alert">
                        <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                    </div>
                </div>
                <?php
                session()->forget('assigned');
                ?>
            </div>
        </center>
    @endif
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['msg']}}</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table  class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Assigned</th>
                                <th>Created By</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                                    <tr>
                                    <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                        <td>{{$complaint->name}}</td>
                                        <td>{{$complaint->phone_no}}</td>
                                        <td>{{$complaint->address}}</td>
                                        <td>{{$complaint->invoice_no}}</td>
                                        <td>{{$complaint->item_make}}</td>
                                        <td>{{$complaint->model}}</td>
                                        <td>{{$complaint->product}}</td>
                                        <td>{{$complaint->problem}}</td>
                                        <td>{{$complaint->status->name}}</td>
                                        <?php
                                        $user=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first()->vendor->user;
                                        ?>
                                        <td>{{$user->first_name}} {{$user->last_name}}</td>
                                        <td>{{$complaint->user->name}}</td>
                                        <td><a href="{{route('complaint.view',$complaint)}}">View</a></td>
                                    </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Address</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>To</th>
                                <th>Assigned</th>
                                <th>Created By</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


@endsection
