@extends('layouts.main')

@section('content')


    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                <div class="row ">
                    <div class="col-7" >
                    <div class="callout callout-info" style="height:125px">
                        <h5><i class="fas fa-exclamation-triangle "></i> Problem:</h5>
                        {{$complaint->problem}}
                    </div>
                    </div>
                    <div class="col-5">
                    <div class="callout callout-success" style="height:125px">
                        <h5><i class="fa fa-book"></i> Feedback:  
                           </h5>
                           {{$complaint->feedback}}
                           
                    </div>
                    </div>
                </div>
                    <!-- Main content -->
                    <div class="invoice p-3 mb-3">
                        <!-- title row -->
                        <div class="row">
                        <div class="col-4">
                                <p>
                                    <i class="fas fa-user"></i> BY :{{$complaint->user->name}}
                                </p>
                            </div>
                            <div class="col-4">
                                <p> <i class="fas fa-paste"> </i> Complaint Type: {{$complaint->complaint_type}}
                                </p>
                            </div>
                            <div class="col-4">
                                <p> <i class="fas fa-calendar"> </i> Created Date: {{$complaint->created_at}}
                                </p>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- info row -->
                        <div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                                <strong>Name</strong>
                                <address>
                                {{$complaint->name}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Phone Number</strong>
                                <address>
                                    {{$complaint->phone_no}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Address</strong>
                                <address>
                                    {{$complaint->address}}
                                </address>
                            </div>
                            <!-- /.col -->
                          <!-- /.col -->
                          <div class="col-sm-4 invoice-col">
                                <strong>Product</strong>
                                <address>
                                    {{$complaint->product}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Item Make</strong>
                                <address>
                                    {{$complaint->item_make}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Model</strong>
                                <address>
                                    {{$complaint->model}}
                                </address>
                            </div>
                            
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Serial No</strong>
                                <address>
                                    {{$complaint->serial_no}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <div class="col-sm-4 invoice-col">
                                <strong>Invoice #</strong>
                                <address>
                                    {{$complaint->invoice_no}}
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>DOP</strong>
                                <address>
                                {{$complaint->dop ? $complaint->dop :$complaint->dop_manual}}
                                </address>
                            </div>
                            <!-- /.col -->
                            <!--<div class="col-sm-4 invoice-col">
                                <strong>Current Status</strong>
                                <address>
                                    Assign to: {{$complaint->status->name}}
                                </address>
                            </div>--.
                            <!-- /.col -->
                           
                            <div class="col-sm-4 invoice-col">
                                <strong>Sales man</strong>
                                <address>
                                @if($complaint->salesman)
                                    {{$complaint->salesman->first_name}}
                                @endif
                                </address>
                            </div>
                            <div class="col-sm-4 invoice-col">
                                <strong>Branch</strong>
                                <address>
                                    {{$complaint->branch->name}}
                                </address>
                            </div>
                            @if($complaint->reopened)
                            <div class="col-4">
                            <strong>Prev Complaint#</strong>
                                <address>
                                    {{$complaint->prev_complaint_id}}
                                </address>
                            </div>
                            <div class="col-4">
                            <strong>Complaint Reopened</strong>
                                <address>
                                    <span class="fa fa-check-circle"> yes</span>
                                </address>
                            </div>
                            @endif

                        </div>
                        <!-- /.row -->

                        <!-- Table row -->
                        <div class="row">
                            <div class="col-12 table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Assign toss</th>
                                        <th>Assignee Name</th>
                                        <th>Status</th>
                                        <th>Description</th>
                                        <th>Assigning date</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($complaint->complaintstatus as $status)
                                    <tr>
                                        <td>{{$status->status->name}}</td>
                                        <?php
                                        $name="";
                                        if ($status->status_id==2){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==4){
                                            $name=$status->vendor->user->name;
                                        }elseif ($status->status_id==7){
                                            $name=$status->user->name;
                                        }elseif ($status->status_id==8){
                                            $name=$status->vendor->user->name;
                                        }
                                        ?>
                                        <td>{{$name}}</td>
                                        <td>
                                            @if($status->status_id==7 || $status->status_id==8 )
                                            {{$status->second_status->name}}
                                            @else
                                            {{$status->status->name}}
                                                @endif
                                        </td>
                                        <td>{{$status->comment}}</td>
                                        <td>{{$status->created_at}}</td>
                                    </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->

                    </div>
                    <!-- /.invoice -->
                </div><!-- /.col -->
                @if($complaint->status_id!=5)
                    <div class="col-md-12">
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Assign back to Vendor</h3>

                                <div class="card-tools">
                                    <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
                                        <i class="fas fa-minus"></i></button>
                                </div>
                            </div>
                            <div class="card-body">
                                <form action="" method="post">
                                    @csrf
                                    <div class="form-group">
                                        <label for="inputDescription">Status</label>
                                        <select name="status_id" class="form-control">
                                            <?php
                                            $statuses = \App\Http\Models\Status::where('type', 'supervisor')->get();
                                            ?>
                                            @foreach($statuses as $status)
                                                <option value="{{$status->id}}">{{$status->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                <div class="form-group">
                                    <label for="inputDescription">Issue/Status</label>
                                    <textarea id="inputDescription" name="comment" class="form-control" rows="4"></textarea>
                                </div>
                                {{--<div class="form-group">
                                    <label for="inputStatus">Status</label>
                                    <select class="form-control custom-select">
                                        <option selected="" disabled="">Select one</option>
                                        <option>On Hold</option>
                                        <option>Canceled</option>
                                        <option selected="">Success</option>
                                    </select>
                                </div>--}}
                                <div class="col-12">
                                    <a href="#" class="btn btn-secondary">Cancel</a>
                                    <input type="submit" name="update" value="Assign To Vendor" class="btn btn-success">
                                    <input type="submit" name="completed" value="Mark As Completed" class="btn btn-success float-right">
                                </div>
                                </form>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->

                    </div>
                    @endif

            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>

@endsection
