@extends('layouts.main')
@section('style')
    <style>
        th { font-size: 13px; }
        td { font-size: 13px; }
    </style>
@endsection
@section('scripts')
    <script type="text/javascript">

        $(document).ready(function () {
            $(".openfrom").click(function () {
                $("#vendorDrop").hide();
                $("#companyDrop").hide();
                $("#specialDrop").hide();
                document.getElementById("myForm").reset();
                $('#complaint_id').val($(this).data("id"));
                // show Modal
                $('#complaintModal').modal('show');
            });
            $("#selectassignTo").change(function () {
                if ($(this).val() == "vendor") {
                    $("#vendorDrop").show();
                    $("#companyDrop").hide();
                    $("#specialDrop").hide();
                } else if($(this).val() == "company"){
                    $("#vendorDrop").hide();
                    $("#specialDrop").hide();
                    $("#companyDrop").show();
                }else{
                    $("#vendorDrop").hide();
                    $("#specialDrop").show();
                    $("#companyDrop").hide();
                }

            });
            $("#submitForm").click(function () {
                console.log($("#selectassignTo").val() + " " + $("#company").val() + " " + $("#vendor").val());
                var data = {
                    '_token': "{{csrf_token()}}",
                    "assignTo": $("#selectassignTo").val(),
                    "company_id": $("#company").val(),
                    "id": $('#complaint_id').val(),
                    "comment": $('#comment').val(),
                    "vendor_id": $("#vendor").val()
                };
                $.ajax({
                    type: 'POST',
                    url: '{{route('supervisor.complaint.assign')}}',
                    data: data,
                    success: function (data) {
                        location.reload();
                    }
                });
            });
            $(document).ready(function () {
                $('.toast').toast('show');
            });
        });
    </script>

@endsection
@section('content')


    <!-- Main content -->
    @if (session()->has('assigned'))
        <center><div class="sticky-top">
                <div role="alert" aria-live="assertive" aria-atomic="true" class="toast" data-delay="1000">
                    <div class="alert alert-success" role="alert">
                        <h4 class="alert-heading">{{session()->get('assigned')}}</h4>
                    </div>
                </div>
                <?php
                session()->forget('assigned');
                ?>
            </div>
        </center>
    @endif
    <section class="content">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                    <a href="{{ route('supervisor.complaint.pending') }}" class="btn btn-sm @if($general['selected_record']=='all pending') btn-success @endif" style="border:1px solid gray">
                            All Pending
                        </a>
                        <a href="{{ route('supervisor.complaint.pending', ['pending_duration'=>'more_than_48_hrs']) }}" class="btn btn-sm @if($general['selected_record']=='more_than_48_hrs') btn-success @endif" style="border:1px solid gray">
                            More than 48 hrs
                        </a>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                    <div class="table-responsive">
                        <table  id="example" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>CSR Remarks</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days passed</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($complaints as $complaint)
                            <tr>
                            <td style="@if($complaint->complaint_type=='showroom') background:#FFC107;color:white @endif">
                                        {{$complaint->id}}
                                    </td>
                                <td>{{$complaint->name}}</td>
                                <td>{{$complaint->phone_no}}</td>
                                <td>{{$complaint->invoice_no}}</td>
                                <td>{{$complaint->item_make}}</td>
                                <td>{{$complaint->model}}</td>
                                <td>{{$complaint->product}}</td>
                                <td>{{$complaint->problem}}</td>
                                <?php
                                $status=$complaint->complaintstatus->where('status_id',$complaint->status_id)->first();
                                ?>
                                <td>{{$status->csr_remarks}}</td>
                                <td>{{$complaint->user->name}}</td>
                                <td>{{$complaint->created_at}}</td>
                                <td>
                                    <?php
                                    $now = time(); // or your date as well
                                    $created_at = strtotime($complaint->created_at);
                                    $datediff = $now - $created_at;
                                    $days=round($datediff / (60 * 60 * 24)) ;
                                    if($days > 0)
                                     echo $days; 
                                    ?>
                                     </td>
                                <td><a type="button" data-id="{{$complaint->id}}" class="openfrom">
                                        Assign To
                                    </a>
                                    <hr/>
                                    <a href="{{route('supervisor.complaint.view',$complaint->id)}}">View</a>
                                </td>
                            </tr>
                            @endforeach
                            </tbody>
                            <tfoot>
                            <tr>
                                 <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Invoice Number</th>
                                <th>Item Make</th>
                                <th>Model</th>
                                <th>Product</th>
                                <th>Problem</th>
                                <th>CSR Remarks</th>
                                <th>Created By</th>
                                <th>Created at</th>
                                <th>Days passed</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->


    <!-- Modal -->
    <div class="modal fade" id="complaintModal" tabindex="-1" role="dialog" aria-labelledby="complaintModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="myModalLabel">Assign To</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="myModalBody">
                    <form id="myForm">
                        @csrf
                        <input type="hidden" value="" id="complaint_id">
                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">{{ __('Assign to') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="selectassignTo">
                                    <option></option>
                                    <option value="company">Company</option>
                                    <option value="vendor">Vendor</option>
                                    <option value="special">Special Request</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="companyDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Company') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="company">
                                    <option></option>
                                    @foreach($companies as $company)
                                        <option value="{{$company->id}}">{{$company->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group row" id="vendorDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Vendor') }}</label>
                            <div class="col-md-6">
                                <select class="form-control" id="vendor">
                                    <option></option>
                                    @foreach($vendors as $vendor)
                                        <option
                                            value="{{$vendor->id}}">{{$vendor->user->first_name}} {{$vendor->user->last_name}}
                                            -{{$vendor->company_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="form-group row" id="specialDrop">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('Note to Admin') }}</label>
                            <div class="col-md-6">
                               <textarea name="comment" id="comment" class="form-control"></textarea>
                            </div>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="submitForm">Save changes</button>
                </div>
            </div>
        </div>
    </div>

@endsection
