@extends('layouts.main')

@section('content')

        <section class="content">
            <div class="container-fluid">
                <!-- SELECT2 EXAMPLE -->
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">{{$general['title']}}</h3>
                    </div>
                    <form action="{{route('admin.vendor.update',$vendor->id)}}" method="post">
                    @csrf
                        <input type="hidden" name="_method" value="PUT">
                    <!-- /.card-header -->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="first_name">{{ __('First Name') }}</label>
                                        <input id="first_name" type="text"
                                               class="form-control @error('first_name') is-invalid @enderror" name="first_name"
                                               value="{{ old('first_name',$vendor->user->first_name) }}" required>
                                        @error('first_name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="last_name">{{ __('Last Name') }}</label>
                                        <input id="last_name" type="text"
                                               class="form-control @error('last_name') is-invalid @enderror" name="last_name"
                                               value="{{ old('last_name',$vendor->user->last_name) }}" required>
                                        @error('last_name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="company_name">{{ __('Company Name') }}</label>
                                        <input id="company_name" type="text"
                                               class="form-control @error('company_name') is-invalid @enderror" name="company_name"
                                               value="{{ old('company_name',$vendor->company_name) }}" required>
                                        @error('company_name')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="email">{{ __('Email') }}</label>
                                        <input id="email" type="text"
                                               class="form-control @error('email') is-invalid @enderror" name="email"
                                               value="{{ old('email',$vendor->user->email) }}" required>
                                        @error('email')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="username">{{ __('Username') }}</label>
                                        <input id="username" type="text"
                                               class="form-control @error('username') is-invalid @enderror" name="username"
                                               value="{{ old('username',$vendor->user->username) }}" required>
                                        @error('username')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="email">{{ __('Password') }}</label>
                                        <input id="email" type="password"
                                               class="form-control @error('password') is-invalid @enderror" name="password"
                                               value="" required>
                                        @error('password')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="phone_no">{{ __('Phone Number') }}</label>

                                        <input id="phone_no" type="text"
                                               class="form-control @error('phone_no') is-invalid @enderror"
                                               name="phone_no" value="{{ old('phone_no',$vendor->user->phone_no) }}" required>

                                        @error('phone_no')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="ptcl_no">{{ __('PTCL Number') }}</label>
                                        <input id="ptcl_no" type="text"
                                               class="form-control @error('ptcl_no') is-invalid @enderror" name="ptcl_no"
                                               value="{{ old('ptcl_no',$vendor->ptcl_no) }}" required>
                                        @error('ptcl_no')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label for="address">{{ __('Address') }}</label>

                                        <input id="address" type="text"
                                               class="form-control @error('address') is-invalid @enderror"
                                               name="address" value="{{ old('address',$vendor->address) }}" required>

                                        @error('address')
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">
                                                {{ __('Update Vendor') }}
                                            </button>
                                        </div>
                                </div>
                            </div>
                            </div>
                    </form>
                </div>
            </div>
    </section>
    </div>
@endsection
